/*
 * Instant Developer Next
 * Copyright Pro Gamma Spa 2000-2016
 * All rights reserved
 */

// TODO: how will elements namespaces be handled?

/**
 * @class
 * @param {Object} element
 * @param {View|Element} parent
 * */
Client.ClockPicker = function (element, parent, view)
{
  Client.Element.call(this, element, parent, view);
  //
  this.domObj = document.createElement("input");
  this.domObj.id = btoa(element.id);
  parent.appendChildObject(this, this.domObj);
  //
  this.updateElement(element);
  this.attachEvents(element.events);
  //
  var input = $("#" + this.domObj.id);
  input.clockpicker({
    autoclose: true
  });
};


// Make Client.Span extend Client.Element
Client.ClockPicker.prototype = new Client.Element();
