/*
 * Instant Developer Next
 * Copyright Pro Gamma Spa 2000-2016
 * All rights reserved
 */

var App = App || {};

/**
 * @class
 * */
App.Animation = function ()
{
  if (module && !App.View)
    App = require("./requireAll");
  //
  this.name = "";
  this.repetitions = 1;
  this.autoreset = false;
  this.segments = [];
};


/**
 * @class
 * */
App.AnimationSegment = function ()
{
  if (module && !App.View)
    App = require("./requireAll");
  //
  this.from = "";
  this.to = "";
  this.duration = 250;
  this.delay = 0;
  this.easing = "linear";
};

//export module for node
if (module)
  module.exports = {Animation: App.Animation, AnimationSegment: App.AnimationSegment};
