
 var App = App || {};
  if (module) {
    App.Document = require("../../do/document");
    App.DocumentSchema = require("../../do/documentschema");
    App.DocumentProperty = require("../../do/documentproperty");
  }
  App.SBlib = App.SBlib || {};
  App.SBlib.Catalogo = function(parent, data) {
    if (module && !App.RemElem && parent)
      App = require("../../requireClasses");
    App.Document.call(this, parent, data);
  };
  App.SBlib.Catalogo.prototype = new App.Document();
  App.SBlib.Catalogo.Numero = "Numero";
  App.SBlib.Catalogo.Descrizione = "Descrizione";
  App.SBlib.Catalogo.Marchio = "Marchio";
  App.SBlib.Catalogo.Revisione = "Revisione";
  App.SBlib.Catalogo.Stagione = "Stagione";
  App.SBlib.Catalogo.Anno = "Anno";
  App.SBlib.Catalogo.DataInizio = "DataInizio";
  App.SBlib.Catalogo.DataFine = "DataFine";
  App.SBlib.Catalogo.Lookbook = "Lookbook";
  Object.defineProperty(App.SBlib.Catalogo, "schema", {get: function() {
      if (App.SBlib.Catalogo.MD)
        return App.SBlib.Catalogo.MD;
      var md = new App.DocumentSchema();
      md.id = 'BSPKSGzb9haIMo+KS4Bplg==';
      md.className = 'SBlib.Catalogo';
      md.datamodel = 'sbDB';
      md.dmCode = 'Cataloghi';
      var mdp = null;
      var mdc = null;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'JvF/dU051ygrrD7LQUejRw==';
      mdp.name = 'Numero';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'Numero';
      mdp.datatype = 'vc';
      mdp.unbound = false;
      mdp.pk = true;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.Numero = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'GBI+fqD/zWIWi9FZI1QUDg==';
      mdp.name = 'Descrizione';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'Descrizione';
      mdp.datatype = 'vc';
      mdp.unbound = false;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.Descrizione = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'FcWuJh6z1Yoqjdf6R6Mm1w==';
      mdp.name = 'Marchio';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'Marchio';
      mdp.datatype = 'vc';
      mdp.unbound = false;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.Marchio = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'HU74J3JKkQmpI6k3WkRfkw==';
      mdp.name = 'Revisione';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'Revisione';
      mdp.datatype = 'i';
      mdp.unbound = false;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.Revisione = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = '7l6mxKUjON7hezMqyIQ/sw==';
      mdp.name = 'Stagione';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'Stagione';
      mdp.datatype = 'vc';
      mdp.unbound = false;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.Stagione = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'Pcw+l9/Wkni8dw0fQaBrzA==';
      mdp.name = 'Anno';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'Anno';
      mdp.datatype = 'i';
      mdp.unbound = false;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.Anno = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'NxaWh5/3hOlDA6kFNM56/A==';
      mdp.name = 'DataInizio';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'DataInizio';
      mdp.datatype = 'da';
      mdp.unbound = false;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.DataInizio = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'zNeo/dMTewhdpWQ9dmuw+w==';
      mdp.name = 'DataFine';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'DataFine';
      mdp.datatype = 'da';
      mdp.unbound = false;
      mdp.nullable = true;
      md.properties.push(mdp);
      md.columns.DataFine = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'uHnX2U8OjQIm6U+aU2OIqw==';
      mdp.name = 'Lookbook';
      mdp.index = md.properties.length;
      mdp.synchronize = true;
      mdp.dmCode = 'Lookbook';
      mdp.datatype = 'i';
      mdp.unbound = false;
      mdp.pk = true;
      mdp.nullable = true;
      mdp.default = "0";
      md.properties.push(mdp);
      md.columns.Lookbook = mdp;
      var rd = null;
      App.SBlib.Catalogo.MD = md;
      return md;
    }});
  Object.defineProperty(App.SBlib.Catalogo.prototype, "class", {get: function() {
      return App.SBlib.Catalogo;
    }});
  App.SBlib.Catalogo.getClassName = function() {
    return "SBlib.Catalogo";
  };
  App.SBlib.Catalogo.loadCollection = function(app, template, options, callback) {
    App.Document.loadCollection.call(this, app, template, options, callback);
  };
  App.SBlib.Catalogo.loadByKey = function(app, key, options, callback) {
    App.Document.loadByKey.call(this, app, key, options, callback);
  };
  App.SBlib.Catalogo.fromJSON = function(app, json, options) {
    return App.Document.fromJSON.call(this, app, json, options);
  };
  App.SBlib.Catalogo.rfc = function(app, method, args, callback) {
    return App.Document.rfc.call(this, app, method, args, callback);
  };
  App.SBlib.Catalogo.clearCache = function(app, dna, dispatch) {
    return App.Document.clearCache.call(this, app, dna, dispatch);
  };
  Object.defineProperty(App.SBlib.Catalogo.prototype, "Numero", {
    get: function() {
      return this.getProp('Numero');
    },
    set: function(newValue) {
      this.changePropDirect('Numero', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "Descrizione", {
    get: function() {
      return this.getProp('Descrizione');
    },
    set: function(newValue) {
      this.changePropDirect('Descrizione', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "Marchio", {
    get: function() {
      return this.getProp('Marchio');
    },
    set: function(newValue) {
      this.changePropDirect('Marchio', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "Revisione", {
    get: function() {
      return this.getProp('Revisione');
    },
    set: function(newValue) {
      this.changePropDirect('Revisione', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "Stagione", {
    get: function() {
      return this.getProp('Stagione');
    },
    set: function(newValue) {
      this.changePropDirect('Stagione', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "Anno", {
    get: function() {
      return this.getProp('Anno');
    },
    set: function(newValue) {
      this.changePropDirect('Anno', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "DataInizio", {
    get: function() {
      return this.getProp('DataInizio');
    },
    set: function(newValue) {
      this.changePropDirect('DataInizio', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "DataFine", {
    get: function() {
      return this.getProp('DataFine');
    },
    set: function(newValue) {
      this.changePropDirect('DataFine', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.Catalogo.prototype, "Lookbook", {
    get: function() {
      return this.getProp('Lookbook');
    },
    set: function(newValue) {
      this.changePropDirect('Lookbook', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  if (module)
    module.exports = App.SBlib.Catalogo;
  //# sourceURL=SBlib.Catalogo.js

if (module)
  module.exports = App.SBlib.Catalogo;