
 var App = App || {};
  if (module) {
    App.Document = require("../../do/document");
    App.DocumentSchema = require("../../do/documentschema");
    App.DocumentProperty = require("../../do/documentproperty");
  }
  App.SBlib = App.SBlib || {};
  App.SBlib.DOCPAG = function(parent, data) {
    if (module && !App.RemElem && parent)
      App = require("../../requireClasses");
    App.Document.call(this, parent, data);
  };
  App.SBlib.DOCPAG.prototype = new App.Document();
  App.SBlib.DOCPAG.ANNO = "ANNO";
  App.SBlib.DOCPAG.STAGIONE = "STAGIONE";
  App.SBlib.DOCPAG.NUMEROCAT = "NUMEROCAT";
  App.SBlib.DOCPAG.NOME = "NOME";
  App.SBlib.DOCPAG.PROGRESSIVO = "PROGRESSIVO";
  App.SBlib.DOCPAG.TIPO = "TIPO";
  App.SBlib.DOCPAG.PAGINA = "PAGINA";
  Object.defineProperty(App.SBlib.DOCPAG, "schema", {get: function() {
      if (App.SBlib.DOCPAG.MD)
        return App.SBlib.DOCPAG.MD;
      var md = new App.DocumentSchema();
      md.id = 'IvwbtGq2mMJIgOX+/Z7vBg==';
      md.className = 'SBlib.DOCPAG';
      var mdp = null;
      var mdc = null;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'zTQzvYQqUHgXxfhUlGWkFQ==';
      mdp.name = 'ANNO';
      mdp.index = md.properties.length;
      mdp.datatype = "i";
      md.properties.push(mdp);
      md.columns.ANNO = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'OLZTw/aUHUZchaWkp14C2A==';
      mdp.name = 'STAGIONE';
      mdp.index = md.properties.length;
      mdp.datatype = "vc";
      md.properties.push(mdp);
      md.columns.STAGIONE = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'vZUOL07bX1XL7UoHq5QvGg==';
      mdp.name = 'NUMEROCAT';
      mdp.index = md.properties.length;
      mdp.datatype = "vc";
      md.properties.push(mdp);
      md.columns.NUMEROCAT = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = '7fmKD/IF572o2YahOzvp7A==';
      mdp.name = 'NOME';
      mdp.index = md.properties.length;
      mdp.datatype = "vc";
      md.properties.push(mdp);
      md.columns.NOME = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'ZXc4O7MQ/Lly3tdEhTrhKg==';
      mdp.name = 'PROGRESSIVO';
      mdp.index = md.properties.length;
      mdp.datatype = "i";
      md.properties.push(mdp);
      md.columns.PROGRESSIVO = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'UY5u9UcDT0FhCOmeKawZfQ==';
      mdp.name = 'TIPO';
      mdp.index = md.properties.length;
      mdp.datatype = "i";
      md.properties.push(mdp);
      md.columns.TIPO = mdp;
      mdp = new App.DocumentProperty(md);
      mdp.id = 'KJLTx6/VUB3JnrIA7mdrDg==';
      mdp.name = 'PAGINA';
      mdp.index = md.properties.length;
      mdp.datatype = "i";
      md.properties.push(mdp);
      md.columns.PAGINA = mdp;
      App.SBlib.DOCPAG.MD = md;
      return md;
    }});
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "class", {get: function() {
      return App.SBlib.DOCPAG;
    }});
  App.SBlib.DOCPAG.getClassName = function() {
    return "SBlib.DOCPAG";
  };
  App.SBlib.DOCPAG.loadCollection = function(app, template, options, callback) {
    App.Document.loadCollection.call(this, app, template, options, callback);
  };
  App.SBlib.DOCPAG.loadByKey = function(app, key, options, callback) {
    App.Document.loadByKey.call(this, app, key, options, callback);
  };
  App.SBlib.DOCPAG.fromJSON = function(app, json, options) {
    return App.Document.fromJSON.call(this, app, json, options);
  };
  App.SBlib.DOCPAG.rfc = function(app, method, args, callback) {
    return App.Document.rfc.call(this, app, method, args, callback);
  };
  App.SBlib.DOCPAG.clearCache = function(app, dna, dispatch) {
    return App.Document.clearCache.call(this, app, dna, dispatch);
  };
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "ANNO", {
    get: function() {
      return this.getProp('ANNO');
    },
    set: function(newValue) {
      this.changePropDirect('ANNO', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "STAGIONE", {
    get: function() {
      return this.getProp('STAGIONE');
    },
    set: function(newValue) {
      this.changePropDirect('STAGIONE', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "NUMEROCAT", {
    get: function() {
      return this.getProp('NUMEROCAT');
    },
    set: function(newValue) {
      this.changePropDirect('NUMEROCAT', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "NOME", {
    get: function() {
      return this.getProp('NOME');
    },
    set: function(newValue) {
      this.changePropDirect('NOME', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "PROGRESSIVO", {
    get: function() {
      return this.getProp('PROGRESSIVO');
    },
    set: function(newValue) {
      this.changePropDirect('PROGRESSIVO', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "TIPO", {
    get: function() {
      return this.getProp('TIPO');
    },
    set: function(newValue) {
      this.changePropDirect('TIPO', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  Object.defineProperty(App.SBlib.DOCPAG.prototype, "PAGINA", {
    get: function() {
      return this.getProp('PAGINA');
    },
    set: function(newValue) {
      this.changePropDirect('PAGINA', newValue, false);
    },
    enumerable: true,
    configurable: true
  });
  if (module)
    module.exports = App.SBlib.DOCPAG;
  //# sourceURL=SBlib.DOCPAG.js

if (module)
  module.exports = App.SBlib.DOCPAG;