
 var App = App || {};
  if (module) {
    App.View = require("../view");
  }
  App.Splash = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../requireClasses");
    var view = this;
    this.id = "zboz3t0+wS/nMyrt6/MkJw==";
    App.View.call(this, app, false);
    this.className = "Splash";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.layout = new App.RemElem(this, {
      "id": "j4H68FqZE4ZswbHeUw6log==",
      "name": "layout",
      "children": [{
        "id": "GsPRX996O3rYoeiMMKGWfQ==",
        "name": "cntMain",
        "children": [{
          "id": "YsGAKarGYMD25xRcMn1Jhg==",
          "name": "newMDContent",
          "children": [{
            "id": "ho2qiuvKzPQDEwrB5tpIUw==",
            "name": "logo",
            "children": [{
              "id": "Be724rQiUhaJzeJWFPZRlQ==",
              "name": "imglogo",
              "class": "Image",
              "src": "../resources/0a46be8e-f549-453e-8af0-ffab3113316c.png",
              "style": {
                "width": "270px",
                "padding-top": "40px"
              }
            }],
            "class": "MDCell",
            "cols": 12,
            "style": {
              "width": "100%",
              "text-align": "center"
            }
          }, {
            "id": "LMWLlFEXMitEAiOBh4QeEg==",
            "name": "titleCell",
            "children": [{
              "id": "o0Jqwn1AkRlTk5PUMLBpUw==",
              "name": "loginBtn",
              "class": "MDButton",
              "btnType": "raised",
              "&innerText": {
                "t": "Login",
                "id": "o0Jqwn1AkRlTk5PUMLBpUw=="
              },
              "ripple": true,
              "className": " splash-btn",
              "backColor": "red",
              "textColor": "white"
            }, {
              "id": "voWPuuOxO8odZK26DPaPAQ==",
              "name": "signupBtn",
              "class": "MDButton",
              "btnType": "raised",
              "&innerText": {
                "t": "Signup",
                "id": "voWPuuOxO8odZK26DPaPAQ=="
              },
              "ripple": true,
              "backColor": "red",
              "textColor": "white",
              "className": "splash-btn",
              "style": {"width": "100%"}
            }, {
              "id": "YNVxw70gRZoYVWZREraplg==",
              "name": "noSignupBtn",
              "class": "MDButton",
              "btnType": "flat",
              "&innerText": {
                "t": "Continue without login",
                "id": "YNVxw70gRZoYVWZREraplg=="
              },
              "ripple": true,
              "style": {"width": "100%"},
              "textColor": "blue-grey-100"
            }, {
              "id": "6ixlWl/T2yv/KHZDF27FhA==",
              "name": "free",
              "class": "MDButton",
              "btnType": "flat",
              "ripple": true,
              "style": {
                "width": "5%",
                "margin-top": "30px"
              },
              "textColor": "blue-grey-100"
            }],
            "class": "MDCell",
            "cols": 12
          }],
          "class": "MDContent",
          "type": "grid",
          "style": {"max-width": "320px"}
        }],
        "class": "MDContent",
        "type": "main",
        "className": "header"
      }],
      "class": "MDLayout"
    }, this);
    this.elements.push(this.layout);
    view.layout.cntMain.newMDContent.titleCell.loginBtn.onClick = function(event) {
      var view = this.view;
      App.ViewMain.open(app, App.ViewSettings);
    };
    view.layout.cntMain.newMDContent.titleCell.signupBtn.onClick = function(event) {
      var view = this.view;
      App.ViewMain.open(app, App.ViewRegister, {
        mode: "popup",
        autoclose: true,
        modal: true,
        titolo: t({
          id: "FTgFI+zpviHR9bkLMjasDg==",
          lc: app.langCode,
          t: "Registrazione"
        }),
        messaggio: t({
          id: "q7JJjs4uL4OmDzzL4qeVoQ==",
          lc: app.langCode,
          t: "Inserisci qui sotto le informazioni di registrazione richieste"
        }),
        recover: false
      });
    };
    view.layout.cntMain.newMDContent.titleCell.noSignupBtn.onClick = function(event, _resumer) {
      var view = this.view;
      var _this = this;
      App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onClick(__resumer) {
        var ret,
            _ex;
        return $traceurRuntime.createGeneratorInstance(function($ctx) {
          while (true)
            switch ($ctx.state) {
              case 0:
                $ctx.pushTry(7, null);
                $ctx.state = 10;
                break;
              case 10:
                $ctx.state = 2;
                return App.sbDB.execute(app, {
                  "id": "TT+pxU3p+Ahu3cipXhlzyA==",
                  "name": "newQuery",
                  "qry": {
                    "id": "TT+pxU3p+Ahu3cipXhlzyA==",
                    "name": "newQuery",
                    "type": "i",
                    "table": "Settings",
                    "select": [{"expr": "'00'"}, {"expr": "'guest'"}, {"expr": "'guest'"}, {"expr": "-1"}, {"expr": "-1"}],
                    "dm": "sbDB"
                  },
                  "sch": {
                    "id": "TT+pxU3p+Ahu3cipXhlzyA==",
                    "p": [{
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }]
                  },
                  "view": view,
                  "this": _this
                }, __resumer);
              case 2:
                ret = $ctx.sent;
                $ctx.state = 4;
                break;
              case 4:
                App.ViewMain.open(app, App.ViewCataloghi);
                if (_resumer)
                  _resumer();
                $ctx.state = 6;
                break;
              case 6:
                $ctx.popTry();
                $ctx.state = -2;
                break;
              case 7:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                _ex = $ctx.storedException;
                $ctx.state = 13;
                break;
              case 13:
                if (_resumer)
                  _resumer(null, _ex);
                else
                  __resumer(null, _ex);
                $ctx.state = -2;
                break;
              default:
                return $ctx.end();
            }
        }, _onClick, this);
      }));
    };
    view.layout.cntMain.newMDContent.titleCell.free.onClick = function(event, _resumer) {
      var view = this.view;
      var _this = this;
      App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onClick(__resumer) {
        var ret,
            _ex;
        return $traceurRuntime.createGeneratorInstance(function($ctx) {
          while (true)
            switch ($ctx.state) {
              case 0:
                $ctx.pushTry(11, null);
                $ctx.state = 14;
                break;
              case 14:
                $ctx.state = 2;
                return App.sbDB.execute(app, {
                  "id": "6Zyvlye02bPAuA+HQb9Iug==",
                  "name": "newQuery",
                  "qry": {
                    "id": "6Zyvlye02bPAuA+HQb9Iug==",
                    "name": "newQuery",
                    "type": null,
                    "table": "Pagine",
                    "custom": [{"expr": "delete from Pagine"}],
                    "dm": "sbDB"
                  },
                  "sch": {
                    "id": "6Zyvlye02bPAuA+HQb9Iug==",
                    "p": []
                  },
                  "view": view,
                  "this": _this
                }, __resumer);
              case 2:
                ret = $ctx.sent;
                $ctx.state = 4;
                break;
              case 4:
                $ctx.state = 6;
                return App.sbDB.execute(app, {
                  "id": "qPsi9zZFkAZu3FHi1tibOw==",
                  "name": "newQuery",
                  "qry": {
                    "id": "qPsi9zZFkAZu3FHi1tibOw==",
                    "name": "newQuery",
                    "type": null,
                    "table": "Cataloghi",
                    "custom": [{"expr": "delete from Cataloghi"}],
                    "dm": "sbDB"
                  },
                  "sch": {
                    "id": "qPsi9zZFkAZu3FHi1tibOw==",
                    "p": []
                  },
                  "view": view,
                  "this": _this
                }, __resumer);
              case 6:
                ret = $ctx.sent;
                $ctx.state = 8;
                break;
              case 8:
                if (_resumer)
                  _resumer();
                $ctx.state = 10;
                break;
              case 10:
                $ctx.popTry();
                $ctx.state = -2;
                break;
              case 11:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                _ex = $ctx.storedException;
                $ctx.state = 17;
                break;
              case 17:
                if (_resumer)
                  _resumer(null, _ex);
                else
                  __resumer(null, _ex);
                $ctx.state = -2;
                break;
              default:
                return $ctx.end();
            }
        }, _onClick, this);
      }));
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.Splash.prototype = new App.View();
  App.Splash.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('Splash', opt).show(options);
  };
  App.Splash.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('Splash', opt).close(info);
  };
  if (module)
    module.exports = App.Splash;
  //# sourceURL=Splash.js

if (module)
  module.exports = App.Splash;