
 var App = App || {};
  if (module) {
    App.View = require("../view");
  }
  App.ViewSettings = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../requireClasses");
    var view = this;
    this.id = "wMIrfNMlO73GsIHffnOs+w==";
    App.View.call(this, app, false);
    this.className = "ViewSettings";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.flLayout = new App.RemElem(this, {
      "id": "QT67WdIsud6pNS1iArycug==",
      "name": "flLayout",
      "children": [{
        "id": "hjNF13ZanHbfJ0Ha542Prg==",
        "name": "flContent",
        "children": [{
          "id": "0JL7Es3cV+5Ow5o49Ae+rw==",
          "name": "flCard",
          "children": [{
            "id": "5uwmtphaKb5jvrodHoo91g==",
            "name": "flCTSectionText",
            "children": [{
              "id": "mvcqVH1Jtb5akO2Gx45N/A==",
              "name": "fltCodice",
              "class": "MDInput",
              "type": "text",
              "&label": {
                "t": "Code (leave blank if you haven't)",
                "id": "mvcqVH1Jtb5akO2Gx45N/A=="
              },
              "floatingLabel": true,
              "className": "margin-top-10"
            }, {
              "id": "0KTTLZans5XnCYVRse5Vjg==",
              "name": "fltUsername",
              "class": "MDInput",
              "type": "text",
              "&label": {
                "t": "Username",
                "id": "0KTTLZans5XnCYVRse5Vjg=="
              },
              "floatingLabel": true,
              "style": {"text-transform": "lowercase"}
            }, {
              "id": "+I21ftFUYzQ3Oma30JA9wA==",
              "name": "fltPassword",
              "class": "MDInput",
              "type": "password",
              "&label": {
                "t": "Password",
                "id": "+I21ftFUYzQ3Oma30JA9wA=="
              },
              "floatingLabel": true
            }, {
              "id": "o105/pfdHvcpmNSoOYYUxw==",
              "name": "fltShowInfo",
              "class": "MDToggle",
              "type": "switch",
              "&label": {
                "t": "Show Info",
                "id": "o105/pfdHvcpmNSoOYYUxw=="
              },
              "ripple": true,
              "checked": true,
              "visible": false
            }, {
              "id": "wpTLeb81QP+qXwFPdIunfg==",
              "name": "fltAutologin",
              "class": "MDToggle",
              "type": "switch",
              "&label": {
                "t": "Autologin",
                "id": "wpTLeb81QP+qXwFPdIunfg=="
              },
              "ripple": true,
              "checked": true,
              "visible": false
            }],
            "class": "MDContent",
            "type": "page",
            "style": {"text-align": "center"}
          }, {
            "id": "lSx3/+Ac8XtvgdZtOScN2A==",
            "name": "flCTSetcionAction",
            "children": [{
              "id": "EdpRNzkgzQDNUk51q+i8uw==",
              "name": "fltLogin",
              "class": "MDButton",
              "btnType": "raised",
              "&innerText": {
                "t": "Login ",
                "id": "EdpRNzkgzQDNUk51q+i8uw=="
              },
              "ripple": true,
              "icon": "vpn_key",
              "className": " bottone-login"
            }],
            "class": "MDContent",
            "style": {
              "margin-top": "20px",
              "text-align": "center"
            }
          }],
          "class": "MDContent",
          "type": "main",
          "style": {
            "max-width": "260px",
            "margin-top": "20px"
          }
        }],
        "class": "MDContent",
        "type": "main",
        "style": {
          "align-self": "center",
          "padding-top": "5px",
          "padding-left": "25px",
          "padding-right": "25px",
          "padding-bottom": "5px"
        }
      }, {
        "id": "AH7q5jC8hx4Zkjw4f355MQ==",
        "name": "flFooter",
        "children": [{
          "id": "ZSnrBGrJ4rkF+s+NHaCf+w==",
          "name": "flFText",
          "children": [],
          "class": "MDText",
          "type": "title",
          "&innerText": {
            "t": "Login",
            "id": "ZSnrBGrJ4rkF+s+NHaCf+w=="
          }
        }, {
          "id": "LdxY/eA56H12fyhZ6Yn1zQ==",
          "name": "fstLoading",
          "class": "MDSpinner",
          "singleColor": false,
          "active": false,
          "style": {"margin-left": "20px"}
        }],
        "class": "MDFooter",
        "type": "mini",
        "visible": true,
        "className": "header footer",
        "style": {"opacity": "01"}
      }],
      "class": "MDLayout"
    }, this);
    this.elements.push(this.flLayout);
    view.flLayout.flContent.flCard.flCTSetcionAction.fltLogin.onClick = function(event, _resumer) {
      var view = this.view;
      var _this = this;
      App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onClick(__resumer) {
        var si,
            al,
            res,
            ret,
            decRisp,
            oggUrl,
            n,
            ris,
            chiamata,
            cc,
            i,
            bok,
            _ex;
        return $traceurRuntime.createGeneratorInstance(function($ctx) {
          while (true)
            switch ($ctx.state) {
              case 0:
                $ctx.pushTry(26, null);
                $ctx.state = 29;
                break;
              case 29:
                if (view.flLayout.flContent.flCard.flCTSectionText.fltShowInfo.checked) {
                  si = -1;
                } else {
                  si = 0;
                }
                if (view.flLayout.flContent.flCard.flCTSectionText.fltAutologin.checked) {
                  al = -1;
                } else {
                  al = 0;
                }
                view.flLayout.flContent.flCard.flCTSectionText.fltUsername.value = view.flLayout.flContent.flCard.flCTSectionText.fltUsername.value.toLowerCase();
                $ctx.state = 19;
                break;
              case 19:
                $ctx.state = 2;
                return App.sbDB.query(app, {
                  "id": "V9sqSdmFv/OZT8UXwdLq9Q==",
                  "name": "newQuery",
                  "qry": {
                    "id": "V9sqSdmFv/OZT8UXwdLq9Q==",
                    "name": "newQuery",
                    "type": "s",
                    "from": [{"expr": "Settings"}],
                    "select": [{
                      "expr": "Codice",
                      "from": ""
                    }, {
                      "expr": "Username",
                      "from": ""
                    }, {
                      "expr": "PasswordU",
                      "from": ""
                    }, {
                      "expr": "ShowInfo",
                      "from": ""
                    }],
                    "dm": "sbDB"
                  },
                  "sch": {
                    "id": "V9sqSdmFv/OZT8UXwdLq9Q==",
                    "p": [{
                      "name": "Codice",
                      "maxlength": 6,
                      "datatype": "vc",
                      "nullable": true,
                      "unbound": false
                    }, {
                      "name": "Username",
                      "datatype": "vc",
                      "nullable": true,
                      "unbound": false
                    }, {
                      "name": "PasswordU",
                      "datatype": "vc",
                      "nullable": true,
                      "unbound": false
                    }, {
                      "name": "ShowInfo",
                      "datatype": "i",
                      "nullable": true,
                      "unbound": false,
                      "default": "-1"
                    }]
                  },
                  "view": view,
                  "this": _this
                }, __resumer);
              case 2:
                res = $ctx.sent;
                $ctx.state = 4;
                break;
              case 4:
                console.log("res>>", res, " len ", res.length);
                $ctx.state = 21;
                break;
              case 21:
                $ctx.state = (res.length > 0) ? 5 : 9;
                break;
              case 5:
                $ctx.state = 6;
                return App.sbDB.execute(app, {
                  "id": "KmID8L0xPvtQ32z3N6vl1w==",
                  "name": "newQuery",
                  "qry": {
                    "id": "KmID8L0xPvtQ32z3N6vl1w==",
                    "name": "newQuery",
                    "type": "u",
                    "table": "Settings",
                    "select": [{
                      "p": [{
                        "expr": "view.flLayout.flContent.flCard.flCTSectionText.fltCodice.value",
                        "clientRef": true
                      }],
                      "field": "Codice"
                    }, {
                      "p": [{
                        "expr": "view.flLayout.flContent.flCard.flCTSectionText.fltUsername.value",
                        "clientRef": true
                      }],
                      "field": "Username"
                    }, {
                      "p": [{
                        "expr": "view.flLayout.flContent.flCard.flCTSectionText.fltPassword.value",
                        "clientRef": true
                      }],
                      "field": "PasswordU"
                    }, {
                      "locVar": si,
                      "field": "ShowInfo"
                    }, {
                      "locVar": al,
                      "field": "Autologin"
                    }],
                    "dm": "sbDB"
                  },
                  "sch": {
                    "id": "KmID8L0xPvtQ32z3N6vl1w==",
                    "p": [{
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }]
                  },
                  "view": view,
                  "this": _this
                }, __resumer);
              case 6:
                res = $ctx.sent;
                $ctx.state = 8;
                break;
              case 9:
                $ctx.state = 10;
                return App.sbDB.execute(app, {
                  "id": "YLu9pNw44+WmUaHRerh3XA==",
                  "name": "newQuery",
                  "qry": {
                    "id": "YLu9pNw44+WmUaHRerh3XA==",
                    "name": "newQuery",
                    "type": "i",
                    "table": "Settings",
                    "select": [{
                      "p": [{
                        "expr": "view.flLayout.flContent.flCard.flCTSectionText.fltCodice.value",
                        "clientRef": true
                      }],
                      "field": "Codice"
                    }, {
                      "p": [{
                        "expr": "view.flLayout.flContent.flCard.flCTSectionText.fltUsername.value",
                        "clientRef": true
                      }],
                      "field": "Username"
                    }, {
                      "p": [{
                        "expr": "view.flLayout.flContent.flCard.flCTSectionText.fltPassword.value",
                        "clientRef": true
                      }],
                      "field": "PasswordU"
                    }, {
                      "locVar": si,
                      "field": "ShowInfo"
                    }, {
                      "locVar": al,
                      "field": "Autologin"
                    }],
                    "dm": "sbDB"
                  },
                  "sch": {
                    "id": "YLu9pNw44+WmUaHRerh3XA==",
                    "p": [{
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }, {
                      "nullable": false,
                      "pk": false
                    }]
                  },
                  "view": view,
                  "this": _this
                }, __resumer);
              case 10:
                res = $ctx.sent;
                $ctx.state = 8;
                break;
              case 8:
                app.lCodice = view.flLayout.flContent.flCard.flCTSectionText.fltCodice.value;
                app.lUsername = view.flLayout.flContent.flCard.flCTSectionText.fltUsername.value;
                app.lPassword = view.flLayout.flContent.flCard.flCTSectionText.fltPassword.value;
                ret = 0;
                bok = false;
                oggUrl = app.fs.url("https://web.miniconf.it/Catalogoweb/Sincro?" + "CODICE=" + app.lCodice + "&LOGIN=" + app.lUsername + "&PASSWORD=" + app.lPassword + "&COMANDO=TRYLOGIN");
                $ctx.state = 23;
                break;
              case 23:
                $ctx.state = 15;
                return oggUrl.get(undefined, __resumer);
              case 15:
                chiamata = $ctx.sent;
                $ctx.state = 17;
                break;
              case 17:
                cc = 0;
                if (chiamata !== null) {
                  decRisp = JSON.parse(chiamata.body);
                  if (decRisp.TableData && decRisp.TableData.Row) {
                    cc = decRisp.TableData.Row;
                    if (cc.ID > 0)
                      bok = true;
                    else
                      bok = false;
                  } else
                    bok = false;
                } else {
                  bok = false;
                }
                if (bok === true) {
                  App.ViewMain.open(app, App.ViewCataloghi);
                } else {
                  app.alert(t({
                    id: "klZx9TDu8eHt7minB/+a4w==",
                    lc: app.langCode,
                    t: "Attenzione le informazioni di login non sembrano corrette!"
                  }));
                }
                if (_resumer)
                  _resumer();
                $ctx.state = 25;
                break;
              case 25:
                $ctx.popTry();
                $ctx.state = -2;
                break;
              case 26:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                _ex = $ctx.storedException;
                $ctx.state = 32;
                break;
              case 32:
                if (_resumer)
                  _resumer(null, _ex);
                else
                  __resumer(null, _ex);
                $ctx.state = -2;
                break;
              default:
                return $ctx.end();
            }
        }, _onClick, this);
      }));
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.ViewSettings.prototype = new App.View();
  App.ViewSettings.prototype.onLoad = function(options, _resumer) {
    var view = this;
    var app = view.app;
    var _this = this;
    App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onLoad(__resumer) {
      var res,
          _ex;
      return $traceurRuntime.createGeneratorInstance(function($ctx) {
        while (true)
          switch ($ctx.state) {
            case 0:
              $ctx.pushTry(7, null);
              $ctx.state = 10;
              break;
            case 10:
              $ctx.state = 2;
              return App.sbDB.query(app, {
                "id": "9a/oWx4l9jMWeiLb9mu8NA==",
                "name": "newQuery",
                "qry": {
                  "id": "9a/oWx4l9jMWeiLb9mu8NA==",
                  "name": "newQuery",
                  "type": "s",
                  "from": [{"expr": "Settings"}],
                  "select": [{
                    "expr": "Codice",
                    "from": ""
                  }, {
                    "expr": "Username",
                    "from": ""
                  }, {
                    "expr": "PasswordU",
                    "from": ""
                  }, {
                    "expr": "ShowInfo",
                    "from": ""
                  }, {
                    "expr": "Autologin",
                    "from": ""
                  }],
                  "dm": "sbDB"
                },
                "sch": {
                  "id": "9a/oWx4l9jMWeiLb9mu8NA==",
                  "p": [{
                    "name": "Codice",
                    "maxlength": 6,
                    "datatype": "vc",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "Username",
                    "datatype": "vc",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "PasswordU",
                    "datatype": "vc",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "ShowInfo",
                    "datatype": "i",
                    "nullable": true,
                    "unbound": false,
                    "default": "-1"
                  }, {
                    "name": "Autologin",
                    "datatype": "i",
                    "nullable": true,
                    "unbound": false,
                    "default": "0"
                  }]
                },
                "view": view,
                "this": _this
              }, __resumer);
            case 2:
              res = $ctx.sent;
              $ctx.state = 4;
              break;
            case 4:
              if (res.length > 0) {
                res.position = 0;
                view.flLayout.flContent.flCard.flCTSectionText.fltCodice.value = res.row.Codice;
                view.flLayout.flContent.flCard.flCTSectionText.fltUsername.value = res.row.Username;
                view.flLayout.flContent.flCard.flCTSectionText.fltPassword.value = res.row.PasswordU;
                app.lCodice = res.row.Codice;
                app.lUsername = res.row.Username;
                app.lPassword = res.row.PasswordU;
                view.flLayout.flContent.flCard.flCTSectionText.fltShowInfo.checked = res.row.ShowInfo == -1;
                view.flLayout.flContent.flCard.flCTSectionText.fltAutologin.checked = res.row.Autologin == -1;
              }
              if (_resumer)
                _resumer();
              $ctx.state = 6;
              break;
            case 6:
              $ctx.popTry();
              $ctx.state = -2;
              break;
            case 7:
              $ctx.popTry();
              $ctx.maybeUncatchable();
              _ex = $ctx.storedException;
              $ctx.state = 13;
              break;
            case 13:
              if (_resumer)
                _resumer(null, _ex);
              else
                __resumer(null, _ex);
              $ctx.state = -2;
              break;
            default:
              return $ctx.end();
          }
      }, _onLoad, this);
    }));
  };
  App.ViewSettings.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewSettings', opt).show(options);
  };
  App.ViewSettings.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewSettings', opt).close(info);
  };
  if (module)
    module.exports = App.ViewSettings;
  //# sourceURL=ViewSettings.js

if (module)
  module.exports = App.ViewSettings;