var App = App || {}; 
if (module) {
  App = require("./requireAll");

  App.ApplicationLibrary = App.ApplicationLibrary || {};
  App.DBLibrary = App.DBLibrary || {};
  App.MDL = App.MDL || {};
  App.MDLExamples = App.MDLExamples || {};
  App.SBlib = App.SBlib || {};

  App.sbDB = App.sbDB || require("./classes/sbDB"); 
  App.MDLExamples.LayoutExample = App.MDLExamples.LayoutExample || require("./classes/MDLExamples/LayoutExample"); 
  App.MDLExamples.CardExample = App.MDLExamples.CardExample || require("./classes/MDLExamples/CardExample"); 
  App.MDLExamples.DataTableExample = App.MDLExamples.DataTableExample || require("./classes/MDLExamples/DataTableExample"); 
  App.MDLExamples.TabsExample = App.MDLExamples.TabsExample || require("./classes/MDLExamples/TabsExample"); 
  App.SBlib.DOCPAG = App.SBlib.DOCPAG || require("./classes/SBlib/DOCPAG"); 
  App.SBlib.Catalogo = App.SBlib.Catalogo || require("./classes/SBlib/Catalogo"); 
  App.SBlib.Pagina = App.SBlib.Pagina || require("./classes/SBlib/Pagina"); 
  App.ViewMain = App.ViewMain || require("./classes/ViewMain"); 
  App.ViewCataloghi = App.ViewCataloghi || require("./classes/ViewCataloghi"); 
  App.ViewSincronizzazione = App.ViewSincronizzazione || require("./classes/ViewSincronizzazione"); 
  App.ViewSettings = App.ViewSettings || require("./classes/ViewSettings"); 
  App.ViewCatalogo = App.ViewCatalogo || require("./classes/ViewCatalogo"); 
  App.Dialog = App.Dialog || require("./classes/Dialog"); 
  App.DialogZoom = App.DialogZoom || require("./classes/DialogZoom"); 
  App.ViewRegister = App.ViewRegister || require("./classes/ViewRegister"); 
  App.Splash = App.Splash || require("./classes/Splash"); 
  App.DialogSearch = App.DialogSearch || require("./classes/DialogSearch"); 

  module.exports = App;
}
