
 var App = App || {};
  if (module) {
    App.View = require("../view");
  }
  App.DialogZoom = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../requireClasses");
    var view = this;
    this.id = "1XaR8i+yiN4CfTdIBEOOgg==";
    App.View.call(this, app, false);
    this.className = "DialogZoom";
    this.requirements = {};
    this.cntDialog = new App.RemElem(this, {
      "id": "9ng5sOFHw/o8f6bhBfIA/A==",
      "name": "cntDialog",
      "children": [{
        "id": "I1OPSYy47FjNhkG/uwf/mA==",
        "name": "cntDNota",
        "children": [{
          "id": "Xw29SF6fo/jCmDsbpiBrNw==",
          "name": "cntTitolo",
          "class": "Image",
          "style": {
            "width": "100%",
            "height": "100%"
          }
        }],
        "class": "Container",
        "className": " zoom-image"
      }, {
        "id": "H3z9lVqH3JMD0v8PE9GIJw==",
        "name": "cntSplash",
        "children": [],
        "class": "Container",
        "&innerText": {
          "t": "Pinch to Zoom",
          "id": "H3z9lVqH3JMD0v8PE9GIJw=="
        },
        "visible": true,
        "className": " zoom-splash"
      }],
      "class": "Container",
      "className": "dialogContainer",
      "style": {
        "width": "100%",
        "height": "100%"
      }
    }, this);
    this.elements.push(this.cntDialog);
    view.cntDialog.cntDNota.cntTitolo.onPinch = function(event) {
      var view = this.view;
      view.cntDialog.cntSplash.visible = false;
      var rect = view.cntDialog.cntDNota;
      var ev = event;
      var scale;
      var last_scale = view.lastScale;
      if (event.scale > 1) {
        scale = last_scale * (((event.scale - 1) / 50) + 1);
      } else {
        scale = last_scale * (((event.scale - 1) / 10) + 1);
      }
      console.log(scale);
      if (scale > 1 && scale < 5) {
        view.lastScale = scale;
        var transform = "scale(1, 1)";
        if (scale != 1) {
          transform = "scale(" + scale + "," + scale + ") ";
        }
        rect.style = "{\"transform-origin\" : \"0px 0px\", \"transform\" : \"" + transform + "\"}";
      }
      if (scale < 1) {
        view.lastScale = 1;
        transform = "scale(1, 1)";
        rect.style = "{\"transform-origin\" : \"0px 0px\", \"transform\" : \"" + transform + "\"}";
      }
      view.cntDialog.style.overflowX = "auto";
    };
    view.cntDialog.onDblclick = function(event) {
      var view = this.view;
      App.ViewMain.back(app);
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.DialogZoom.prototype = new App.View();
  App.DialogZoom.prototype.onLoad = function(options) {
    var view = this;
    var app = view.app;
    this.lastScale = 1;
    view.cntDialog.cntDNota.cntTitolo.src = options.immagine;
  };
  App.DialogZoom.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('DialogZoom', opt).show(options);
  };
  App.DialogZoom.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('DialogZoom', opt).close(info);
  };
  if (module)
    module.exports = App.DialogZoom;
  //# sourceURL=DialogZoom.js

if (module)
  module.exports = App.DialogZoom;