
 var App = App || {};
  if (module) {
    App.View = require("../../view");
  }
  App.MDLExamples = App.MDLExamples || {};
  App.MDLExamples.CardExample = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../../requireClasses");
    var view = this;
    this.id = "YSpj3Z648zYeQVJL241a2A==";
    App.View.call(this, app, false);
    this.className = "MDLExamples.CardExample";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.pageContent = new App.RemElem(this, {
      "id": "LwlFm4bho8OMdcHMDAbA9g==",
      "name": "pageContent",
      "children": [{
        "id": "U1RlbcEQBaMjLz6IN599qw==",
        "name": "card",
        "children": [{
          "id": "oUn8atmLRyPyJfGvjo9CiQ==",
          "name": "titleSection",
          "children": [],
          "class": "MDCardSection",
          "secType": "title",
          "&innerText": {
            "t": "Sunset",
            "id": "oUn8atmLRyPyJfGvjo9CiQ=="
          },
          "backColor": "primary",
          "textColor": "white"
        }, {
          "id": "nuxNqEz+vnsOI/FNmmCZhQ==",
          "name": "imageSection",
          "children": [{
            "id": "UB9QH2ep9GtRDXUjMfb5Vw==",
            "name": "sunset",
            "class": "Image",
            "src": "http://dreamatico.com/data_images/sunset/sunset-3.jpg",
            "style": {"width": "100%"}
          }],
          "class": "MDCardSection",
          "secType": "image",
          "visible": true
        }, {
          "id": "pkr7eaf1hhUDbCMFNhj2zA==",
          "name": "textSection",
          "children": [],
          "class": "MDCardSection",
          "secType": "supporting-text",
          "&innerText": {
            "t": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris sagittis pellentesque lacus eleifend lacinia...",
            "id": "pkr7eaf1hhUDbCMFNhj2zA=="
          }
        }, {
          "id": "3Vonrbxd8x/G9Q1cfvNgJA==",
          "name": "actionSection",
          "children": [{
            "id": "b8kmao4G6w9Iki42oxMl4A==",
            "name": "moreBtn",
            "class": "MDButton",
            "&innerText": {
              "t": "more",
              "id": "b8kmao4G6w9Iki42oxMl4A=="
            },
            "btnType": "flat",
            "badge": "4",
            "ripple": true,
            "textColor": "primary"
          }],
          "class": "MDCardSection",
          "secType": "actions",
          "border": true
        }, {
          "id": "CEVUMPVh7tnWtI/FcFNmOQ==",
          "name": "menuSection",
          "children": [{
            "id": "foPV/gCPBgCVgbDsMNeh0w==",
            "name": "menuBtn",
            "class": "MDButton",
            "btnType": "icon",
            "ripple": true,
            "icon": "more_vert"
          }, {
            "id": "vjXEQh7ioo4HTfqn1ZepsA==",
            "name": "menu",
            "children": [{
              "id": "hVc5UyapK5hdgl87+Levpg==",
              "name": "item1",
              "children": [],
              "class": "MDMenuItem",
              "&innerText": {
                "t": "option1",
                "id": "hVc5UyapK5hdgl87+Levpg=="
              }
            }, {
              "id": "IUii32k+4G0qYsaz15ZOgQ==",
              "name": "item2",
              "children": [],
              "class": "MDMenuItem",
              "&innerText": {
                "t": "option2",
                "id": "IUii32k+4G0qYsaz15ZOgQ=="
              }
            }, {
              "id": "raUB85FiM81X68RgsT6sZA==",
              "name": "item3",
              "children": [],
              "class": "MDMenuItem",
              "&innerText": {
                "t": "option3",
                "id": "raUB85FiM81X68RgsT6sZA=="
              }
            }],
            "class": "MDMenu",
            "position": "bottom-right",
            "ripple": true
          }],
          "class": "MDCardSection",
          "secType": "menu",
          "textColor": "white"
        }],
        "class": "MDCard",
        "shadow": 4,
        "style": {"width": "100%"}
      }],
      "class": "MDContent",
      "style": {
        "background-color": "#e0e0e0",
        "padding": "10px",
        "height": "100%"
      },
      "type": "page"
    }, this);
    this.elements.push(this.pageContent);
    view.pageContent.card.actionSection.moreBtn.onClick = function(event) {
      var view = this.view;
      app.alert("More Clicked!");
    };
    view.pageContent.card.menuSection.menu.onClick = function(event) {
      var view = this.view;
      var itemClicked = app.eleMap[event.target];
      app.alert(itemClicked.innerText);
    };
    view.pageContent.card.menuSection.menu.show = function() {
      this.app.sendCommands([{
        obj: this.id,
        id: "show",
        cnt: {params: []}
      }], true);
    };
    view.pageContent.card.menuSection.menu.hide = function() {
      this.app.sendCommands([{
        obj: this.id,
        id: "hide",
        cnt: {params: []}
      }], true);
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.MDLExamples.CardExample.prototype = new App.View();
  App.MDLExamples.CardExample.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.CardExample', opt).show(options);
  };
  App.MDLExamples.CardExample.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.CardExample', opt).close(info);
  };
  if (module)
    module.exports = App.MDLExamples.CardExample;
  //# sourceURL=MDLExamples.CardExample.js

if (module)
  module.exports = App.MDLExamples.CardExample;