
 var App = App || {};
  if (module) {
    App.View = require("../../view");
  }
  App.MDLExamples = App.MDLExamples || {};
  App.MDLExamples.DataTableExample = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../../requireClasses");
    var view = this;
    this.id = "3qPUx0fjevX3FGUN7Znvog==";
    App.View.call(this, app, false);
    this.className = "MDLExamples.DataTableExample";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.pageContent = new App.RemElem(this, {
      "id": "QgLL5w7fsFRs7mXDh5iyqg==",
      "name": "pageContent",
      "children": [{
        "id": "k06HxzTSubsPNGJ2I9HB3Q==",
        "name": "dataTable",
        "children": [{
          "id": "i/GcvKInGc4ceqGYQHzh0w==",
          "name": "tableHeader",
          "children": [{
            "id": "ThdY5EcY9C+tgqqRD4c9IA==",
            "name": "headerRow",
            "children": [{
              "id": "YpUOdnNd+J3Y6ArRt8XBuQ==",
              "name": "colHeader1",
              "children": [],
              "class": "MDTableCell",
              "nonNumeric": true,
              "&innerText": {
                "t": "Name",
                "id": "YpUOdnNd+J3Y6ArRt8XBuQ=="
              }
            }, {
              "id": "BOU6/DYLrj+/Cig2E2+1Rg==",
              "name": "colHeader2",
              "children": [],
              "class": "MDTableCell",
              "&innerText": {
                "t": "Age",
                "id": "BOU6/DYLrj+/Cig2E2+1Rg=="
              }
            }],
            "class": "MDTableRow"
          }],
          "class": "MDTableSection",
          "type": "head"
        }, {
          "id": "kVVr3HrFIju3X0Dx3THEOQ==",
          "name": "tableBody",
          "children": [{
            "id": "DIqXrHULxoJFYY+ELExsMw==",
            "name": "dataRow",
            "children": [{
              "id": "U8XgxGtaZeabRY/T/X/UQA==",
              "name": "dataCell1",
              "children": [],
              "class": "MDTableCell",
              "nonNumeric": true,
              "&innerText": {
                "t": "Simon",
                "id": "U8XgxGtaZeabRY/T/X/UQA=="
              }
            }, {
              "id": "cYZMDfSMfpBT7MyN9n1o3Q==",
              "name": "dataCell2",
              "children": [],
              "class": "MDTableCell",
              "&innerText": {
                "t": "27",
                "id": "cYZMDfSMfpBT7MyN9n1o3Q=="
              }
            }],
            "class": "MDTableRow"
          }],
          "class": "MDTableSection",
          "type": "body"
        }],
        "class": "MDDataTable",
        "shadow": 2,
        "selectable": true,
        "style": {"margin": "auto"}
      }],
      "class": "MDContent",
      "type": "page",
      "style": {
        "background-color": "#e0e0e0",
        "padding": "10px",
        "height": "100%"
      }
    }, this);
    this.elements.push(this.pageContent);
    this.exampleDataMap = new App.DataMap(this, {
      "id": "HrE/RS5X5zQwlk/4Rlt/Wg==",
      "name": "exampleDataMap",
      "class": "DataMap"
    }, this);
    this.elements.push(this.exampleDataMap);
    this.exampleDataMap.addSchema({
      "id": "HrE/RS5X5zQwlk/4Rlt/Wg==",
      "p": [{
        "name": "pName",
        "datatype": "vc"
      }, {
        "name": "pAge",
        "datatype": "i"
      }]
    });
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    this.exampleDataMap.template = view.pageContent.dataTable.tableBody.dataRow;
    this.exampleDataMap.schema.columns.pName.addElement(view.pageContent.dataTable.tableBody.dataRow.dataCell1);
    this.exampleDataMap.schema.columns.pAge.addElement(view.pageContent.dataTable.tableBody.dataRow.dataCell2);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.MDLExamples.DataTableExample.prototype = new App.View();
  App.MDLExamples.DataTableExample.prototype.onLoad = function(options) {
    var view = this;
    var app = view.app;
    view.exampleDataMap.insert({
      pName: "Andrew",
      pAge: "27"
    });
    view.exampleDataMap.insert({
      pName: "Alek",
      pAge: "25"
    });
    view.exampleDataMap.insert({
      pName: "John",
      pAge: "26"
    });
    view.exampleDataMap.insert({
      pName: "Mattew",
      pAge: "31"
    });
  };
  App.MDLExamples.DataTableExample.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.DataTableExample', opt).show(options);
  };
  App.MDLExamples.DataTableExample.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.DataTableExample', opt).close(info);
  };
  if (module)
    module.exports = App.MDLExamples.DataTableExample;
  //# sourceURL=MDLExamples.DataTableExample.js

if (module)
  module.exports = App.MDLExamples.DataTableExample;