
 var App = App || {};
  if (module) {
    App.View = require("../../view");
  }
  App.MDLExamples = App.MDLExamples || {};
  App.MDLExamples.LayoutExample = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../../requireClasses");
    var view = this;
    this.id = "JE1nsU220ZOB0ZzaJ3Wyvw==";
    App.View.call(this, app, false);
    this.className = "MDLExamples.LayoutExample";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.layout = new App.RemElem(this, {
      "id": "K+QFtKC8hMa+bj6WvkZBuQ==",
      "name": "layout",
      "children": [{
        "id": "x/VwSOaxadpjcgujXo/QTA==",
        "name": "headerSection",
        "children": [{
          "id": "TXmoL3/QDILsyEQ20S7/DA==",
          "name": "headerRow",
          "children": [{
            "id": "AClaJ4OhacZElvEBaM0k8g==",
            "name": "mainTitle",
            "children": [],
            "class": "MDText",
            "type": "title",
            "&innerText": {
              "t": "Hello MD",
              "id": "AClaJ4OhacZElvEBaM0k8g=="
            },
            "textColor": "white"
          }, {
            "id": "je5mN9YLxvHAUVEW1h5S/w==",
            "name": "spacer",
            "children": [],
            "class": "MDText",
            "type": "spacer"
          }, {
            "id": "70XXicI0pzBue663SS4mjg==",
            "name": "searchFld",
            "class": "MDInput",
            "type": "search",
            "expIcon": "search"
          }],
          "class": "MDHeaderRow"
        }],
        "class": "MDHeader",
        "menuIcon": true
      }, {
        "id": "UK/xdq7hYUOrY2ea2iDLlA==",
        "name": "drawerSection",
        "children": [{
          "id": "b7kYUkWKqQ1QfzQrOBYazA==",
          "name": "title",
          "children": [],
          "class": "MDText",
          "type": "title",
          "&innerText": {
            "t": "Hello MD",
            "id": "b7kYUkWKqQ1QfzQrOBYazA=="
          }
        }, {
          "id": "Dwwd80tFRmj5MvY0oK9kIg==",
          "name": "options",
          "children": [{
            "id": "lwgj6yIlisMz8PwBRdoU+A==",
            "name": "option1",
            "children": [],
            "class": "MDLink",
            "badge": "4",
            "&innerText": {
              "t": "option1",
              "id": "lwgj6yIlisMz8PwBRdoU+A=="
            }
          }, {
            "id": "LQc8R6U/Nh8if81AQfms7g==",
            "name": "option2",
            "children": [],
            "class": "MDLink",
            "badge": "4",
            "&innerText": {
              "t": "option2",
              "id": "LQc8R6U/Nh8if81AQfms7g=="
            }
          }, {
            "id": "LM6oudf4gM3kBBOATF6zcg==",
            "name": "option3",
            "children": [],
            "class": "MDLink",
            "badge": "4",
            "&innerText": {
              "t": "option3",
              "id": "LM6oudf4gM3kBBOATF6zcg=="
            }
          }],
          "class": "MDNavigation"
        }],
        "class": "MDDrawer"
      }, {
        "id": "sByZ3pagfpAd3mHH41RuWQ==",
        "name": "mainContent",
        "children": [{
          "id": "sUB/wmv+7m7JPsbzXvCYAQ==",
          "name": "grid",
          "children": [{
            "id": "K+JCImSvjPQBQJRlwsPfYA==",
            "name": "cell1",
            "children": [{
              "id": "G+FE+6RWi62o2NrYMB5q+Q==",
              "name": "content",
              "children": [],
              "class": "MDText",
              "type": "h6",
              "&innerText": {
                "t": "Lorem ipsum dolor sit amet, consectetur adipiscing elit",
                "id": "G+FE+6RWi62o2NrYMB5q+Q=="
              }
            }],
            "class": "MDCell",
            "cols": 4
          }, {
            "id": "ugxGn7TeTMZqL3kogyCMsA==",
            "name": "cell2",
            "children": [{
              "id": "47BKL9rfXr6aZGaN2fEz2g==",
              "name": "content",
              "children": [],
              "class": "MDText",
              "type": "h6",
              "&innerText": {
                "t": "Vivamus ultricies, tellus sed ornare laoreet, libero lectus varius enim, vel malesuada dolor sem quis turpis",
                "id": "47BKL9rfXr6aZGaN2fEz2g=="
              }
            }],
            "class": "MDCell",
            "cols": 4
          }, {
            "id": "yMMOlVB15A6pHPrm56OEnw==",
            "name": "cell3",
            "children": [{
              "id": "UspD4n8IrLah7ifEPAUDJQ==",
              "name": "content",
              "children": [],
              "class": "MDText",
              "type": "h6",
              "&innerText": {
                "t": "Quisque pellentesque ipsum sit amet est sodales, vitae volutpat est tincidunt. Ut pulvinar at enim sit amet auctor",
                "id": "UspD4n8IrLah7ifEPAUDJQ=="
              }
            }],
            "class": "MDCell",
            "cols": 4
          }],
          "class": "MDContent",
          "type": "grid"
        }],
        "class": "MDContent",
        "type": "main"
      }, {
        "id": "KCxG2U2KxqLmstpQwp50hg==",
        "name": "footerSection",
        "children": [{
          "id": "ztfwNdR49fcZ2RyY0u8/SA==",
          "name": "leftSection",
          "children": [{
            "id": "slRtBlxuep7rwzB2DFo5FA==",
            "name": "title",
            "children": [],
            "class": "MDText",
            "type": "logo",
            "&innerText": {
              "t": "Hello MD",
              "id": "slRtBlxuep7rwzB2DFo5FA=="
            }
          }, {
            "id": "1bjp/Lx3vKXI1Fzk+5kgdQ==",
            "name": "links",
            "children": [{
              "id": "R8vskWAo7FZ0ko0Jw/iAwA==",
              "name": "L1",
              "class": "MDFooterLink",
              "&innerText": {
                "t": "Link1",
                "id": "R8vskWAo7FZ0ko0Jw/iAwA=="
              },
              "href": "#"
            }, {
              "id": "10wO1W8V6GdI9k1QByCsqw==",
              "name": "L2",
              "class": "MDFooterLink",
              "&innerText": {
                "t": "Link2",
                "id": "10wO1W8V6GdI9k1QByCsqw=="
              },
              "href": "#"
            }],
            "class": "MDFooterLinkList"
          }],
          "class": "MDFooterSection",
          "type": "left"
        }],
        "class": "MDFooter",
        "type": "mini"
      }],
      "class": "MDLayout",
      "fixedHeader": true
    }, this);
    this.elements.push(this.layout);
    view.layout.drawerSection.show = function(flag) {
      this.app.sendCommands([{
        obj: this.id,
        id: "show",
        cnt: {params: [flag]}
      }], true);
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.MDLExamples.LayoutExample.prototype = new App.View();
  App.MDLExamples.LayoutExample.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.LayoutExample', opt).show(options);
  };
  App.MDLExamples.LayoutExample.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.LayoutExample', opt).close(info);
  };
  if (module)
    module.exports = App.MDLExamples.LayoutExample;
  //# sourceURL=MDLExamples.LayoutExample.js

if (module)
  module.exports = App.MDLExamples.LayoutExample;