
 var App = App || {};
  if (module) {
    App.View = require("../../view");
  }
  App.MDLExamples = App.MDLExamples || {};
  App.MDLExamples.TabsExample = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../../requireClasses");
    var view = this;
    this.id = "8HEgSeufOWMRmJxMl9lUrg==";
    App.View.call(this, app, false);
    this.className = "MDLExamples.TabsExample";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.pageContent = new App.RemElem(this, {
      "id": "HxUr9d4kb0phmyWZ/e9gAA==",
      "name": "pageContent",
      "children": [{
        "id": "ayoH+mR81ZFa7U8sfdARzA==",
        "name": "tabs",
        "children": [{
          "id": "QKD4FPS+YezifHId0lQEFA==",
          "name": "bar",
          "children": [{
            "id": "jXfudhFy6j3SLES341JAaA==",
            "name": "link1",
            "children": [],
            "class": "MDLink",
            "&innerText": {
              "t": "page1",
              "id": "jXfudhFy6j3SLES341JAaA=="
            }
          }, {
            "id": "bT3UkOoedE4JAbCVih41hw==",
            "name": "link2",
            "children": [],
            "class": "MDLink",
            "&innerText": {
              "t": "page2",
              "id": "bT3UkOoedE4JAbCVih41hw=="
            }
          }],
          "class": "MDTabBar"
        }, {
          "id": "BuZys89v2VcRXpxGdPQzFw==",
          "name": "page1",
          "children": [{
            "id": "HFrEo8K5ZCPPEwa6GYlQnA==",
            "name": "span1",
            "children": [],
            "class": "MDText",
            "&innerText": {
              "t": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus ultricies, tellus sed ornare laoreet, libero lectus varius enim, vel malesuada dolor sem quis turpis",
              "id": "HFrEo8K5ZCPPEwa6GYlQnA=="
            },
            "type": "span"
          }],
          "class": "MDTabPanel",
          "default": true,
          "style": {"padding": "10px"}
        }, {
          "id": "PiqtI+k+PtDOhXR4Y3Uisw==",
          "name": "page2",
          "children": [{
            "id": "bIztLOEX4lDoOniZCUfQ1w==",
            "name": "span2",
            "children": [],
            "class": "MDText",
            "&innerText": {
              "t": "Quisque pellentesque ipsum sit amet est sodales, vitae volutpat est tincidunt. Ut pulvinar at enim sit amet auctor. Cras maximus consequat velit",
              "id": "bIztLOEX4lDoOniZCUfQ1w=="
            },
            "type": "span"
          }],
          "class": "MDTabPanel",
          "style": {"padding": "10px"}
        }],
        "class": "MDTab",
        "ripple": true
      }],
      "class": "MDContent",
      "type": "page"
    }, this);
    this.elements.push(this.pageContent);
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.MDLExamples.TabsExample.prototype = new App.View();
  App.MDLExamples.TabsExample.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.TabsExample', opt).show(options);
  };
  App.MDLExamples.TabsExample.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('MDLExamples.TabsExample', opt).close(info);
  };
  if (module)
    module.exports = App.MDLExamples.TabsExample;
  //# sourceURL=MDLExamples.TabsExample.js

if (module)
  module.exports = App.MDLExamples.TabsExample;