
 var App = App || {};
  if (module) {
    App.View = require("../view");
  }
  App.ViewCataloghi = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../requireClasses");
    var view = this;
    this.id = "oVwLCeM+AIjCHfQYeY1TDg==";
    App.View.call(this, app, false);
    this.className = "ViewCataloghi";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.layout = new App.RemElem(this, {
      "id": "EcMkIn0gcQh838lsaCfWnw==",
      "name": "layout",
      "children": [{
        "id": "MIiJz51RJZSi9BKfkBD3AQ==",
        "name": "cndCataloghi",
        "children": [{
          "id": "xQ1T0lBJNEABG9WTlPkXuA==",
          "name": "cntGrid",
          "children": [{
            "id": "lpz1veeA3iBpsygQTYiK0w==",
            "name": "cntCella",
            "children": [{
              "id": "wc2rk0xnutULggwnsNCF9g==",
              "name": "cntCard",
              "children": [{
                "id": "vYSlV74XnAzuEraUmRA71Q==",
                "name": "cntSect",
                "children": [{
                  "id": "gacaVuY6nBb6ntb/8VqedA==",
                  "name": "imgCat",
                  "class": "Image",
                  "style": {"width": "100%"}
                }, {
                  "id": "CzEqg83jWsvMba7PpeZD3A==",
                  "name": "txtCat",
                  "children": [],
                  "class": "MDText",
                  "type": "heading",
                  "&innerText": {
                    "t": "titolo",
                    "id": "CzEqg83jWsvMba7PpeZD3A=="
                  },
                  "className": "titolo-cat"
                }],
                "class": "MDCardSection",
                "secType": "image"
              }],
              "class": "MDCard",
              "shadow": 4,
              "style": {"width": "100%"},
              "className": "bgloader"
            }],
            "class": "MDCell",
            "cols": 4
          }],
          "class": "MDContent",
          "type": "grid"
        }],
        "class": "MDContent",
        "type": "main",
        "style": {
          "position": "absolute",
          "width": "100%"
        }
      }],
      "class": "MDLayout",
      "style": {"height": "100%"}
    }, this);
    this.elements.push(this.layout);
    this.dmCataloghi = new App.DataMap(this, {
      "id": "xJpCGwxl67TVf+M5sRflEQ==",
      "name": "dmCataloghi",
      "class": "DataMap",
      "autoLoad": true
    }, this);
    this.elements.push(this.dmCataloghi);
    this.dmCataloghi.addQuery({
      "id": "/znwxg5iwNCklPUEQGdUIQ==",
      "name": "catQuery",
      "type": "s",
      "from": [{"expr": "Cataloghi"}],
      "select": [{
        "expr": "Numero",
        "from": ""
      }, {
        "expr": "Anno",
        "from": ""
      }, {
        "expr": "Stagione",
        "from": ""
      }, {
        "expr": "Descrizione",
        "from": ""
      }, {
        "expr": "Marchio",
        "from": ""
      }, {
        "expr": "Revisione",
        "from": ""
      }, {
        "expr": "Stagione",
        "from": ""
      }, {
        "expr": "Anno",
        "from": ""
      }, {
        "expr": "DataInizio",
        "from": ""
      }, {
        "expr": "DataFine",
        "from": ""
      }, {
        "expr": "Lookbook",
        "from": ""
      }],
      "where": [{"p": [{
          "expr": "DataFine",
          "from": ""
        }, {
          "expr": ">=",
          "op": true
        }, {
          "expr": "now",
          "funct": true
        }]}],
      "order": [{"p": [{
          "expr": "Lookbook",
          "from": ""
        }, {"expr": "desc"}]}, {"p": [{
          "expr": "Anno",
          "from": ""
        }, {"expr": "desc"}]}, {"p": [{
          "expr": "Stagione",
          "from": ""
        }, {"expr": "asc"}]}, {"p": [{
          "expr": "Numero",
          "from": ""
        }, {"expr": "desc"}]}],
      "dm": "sbDB"
    });
    this.dmCataloghi.addSchema({
      "id": "/znwxg5iwNCklPUEQGdUIQ==",
      "p": [{
        "name": "Numero",
        "datatype": "vc",
        "nullable": true,
        "unbound": false,
        "pk": true
      }, {
        "name": "Anno",
        "datatype": "i",
        "nullable": true,
        "unbound": false
      }, {
        "name": "Stagione",
        "datatype": "vc",
        "nullable": true,
        "unbound": false
      }, {
        "name": "Descrizione",
        "datatype": "vc",
        "nullable": true,
        "unbound": false
      }, {
        "name": "Marchio",
        "datatype": "vc",
        "nullable": true,
        "unbound": false
      }, {
        "name": "Revisione",
        "datatype": "i",
        "nullable": true,
        "unbound": false
      }, {
        "name": "Stagione",
        "datatype": "vc",
        "nullable": true,
        "unbound": false
      }, {
        "name": "Anno",
        "datatype": "i",
        "nullable": true,
        "unbound": false
      }, {
        "name": "DataInizio",
        "datatype": "da",
        "nullable": true,
        "unbound": false
      }, {
        "name": "DataFine",
        "datatype": "da",
        "nullable": true,
        "unbound": false
      }, {
        "name": "Lookbook",
        "datatype": "i",
        "nullable": true,
        "unbound": false,
        "pk": true,
        "default": "0"
      }]
    });
    view.layout.cndCataloghi.cntGrid.cntCella.onClick = function(event) {
      var view = this.view;
      App.ViewMain.open(app, App.ViewCatalogo, {numCat: this.row.Numero});
    };
    view.dmCataloghi.onRowComposition = function(row, template, _resumer) {
      var view = this.view;
      var _this = this;
      App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onRowComposition(__resumer) {
        var cn,
            ret,
            nfile,
            di,
            de,
            fp,
            fi,
            fe,
            fix,
            res,
            ou,
            dir,
            xx,
            fid,
            exception,
            _ex;
        return $traceurRuntime.createGeneratorInstance(function($ctx) {
          while (true)
            switch ($ctx.state) {
              case 0:
                $ctx.pushTry(128, null);
                $ctx.state = 131;
                break;
              case 131:
                row.element.cntCard.style.backgroundImage = 'url("' + "../resources/565288bb-000b-4228-8936-497e13e877db.gif" + '")';
                row.element.cntCard.cntSect.imgCat.visible = false;
                $ctx.state = 125;
                break;
              case 125:
                $ctx.state = (row.Lookbook === -1) ? 62 : 116;
                break;
              case 62:
                cn = row.Numero;
                $ctx.state = 63;
                break;
              case 63:
                $ctx.state = 2;
                return App.sbDB.query(app, {
                  "id": "Qv3iSMhlVGG/MP+9GuZQBQ==",
                  "name": "newQuery",
                  "qry": {
                    "id": "Qv3iSMhlVGG/MP+9GuZQBQ==",
                    "name": "newQuery",
                    "type": "s",
                    "from": [{"expr": "Pagine"}],
                    "select": [{
                      "expr": "Nome",
                      "from": ""
                    }],
                    "where": [{"p": [{
                        "expr": "NumeroCat",
                        "from": ""
                      }, {
                        "expr": "=",
                        "op": true
                      }, {"locVar": cn}]}, {"p": [{
                        "expr": "Lookbook",
                        "from": ""
                      }, {
                        "expr": "=",
                        "op": true
                      }, {"expr": "-1"}]}, {"p": [{
                        "expr": "Pagina",
                        "from": ""
                      }, {
                        "expr": "=",
                        "op": true
                      }, {"expr": "1"}]}],
                    "dm": "sbDB"
                  },
                  "sch": {
                    "id": "Qv3iSMhlVGG/MP+9GuZQBQ==",
                    "p": [{
                      "name": "Nome",
                      "datatype": "vc",
                      "nullable": true,
                      "unbound": false,
                      "pk": true
                    }]
                  },
                  "view": view,
                  "this": _this
                }, __resumer);
              case 2:
                ret = $ctx.sent;
                $ctx.state = 4;
                break;
              case 4:
                nfile = ret.rows[0].Nome + ".jpg";
                $ctx.state = 65;
                break;
              case 65:
                $ctx.pushTry(53, null);
                $ctx.state = 56;
                break;
              case 56:
                di = app.fs.directory("/" + row.Numero + "/");
                $ctx.state = 50;
                break;
              case 50:
                $ctx.state = 6;
                return di.exists(__resumer);
              case 6:
                de = $ctx.sent;
                $ctx.state = 8;
                break;
              case 8:
                $ctx.state = (de) ? 13 : 16;
                break;
              case 13:
                fi = app.fs.file("/" + row.Numero + "/" + nfile);
                $ctx.state = 14;
                break;
              case 14:
                $ctx.state = 10;
                return fi.exists(__resumer);
              case 10:
                fe = $ctx.sent;
                $ctx.state = 12;
                break;
              case 12:
                fp = "";
                $ctx.state = 16;
                break;
              case 16:
                $ctx.state = (fe) ? 46 : 40;
                break;
              case 46:
                fp = fi.publicUrl;
                if (fp === undefined || fp.indexOf("undefined") > -1) {
                  fp = app.purl + "/" + row.Numero + "/" + nfile;
                } else {
                  fix = fp.indexOf("201") - 1;
                  app.purl = fp.substring(0, fix);
                }
                $ctx.state = 47;
                break;
              case 40:
                res = "";
                ou = app.fs.url("https://stylebook.miniconf.it/lookbook/" + row.Numero + "/" + nfile);
                dir = app.fs.directory("" + row.Numero);
                $ctx.state = 41;
                break;
              case 41:
                $ctx.state = 19;
                return dir.exists(__resumer);
              case 19:
                de = $ctx.sent;
                $ctx.state = 21;
                break;
              case 21:
                $ctx.state = (de === false) ? 22 : 25;
                break;
              case 22:
                $ctx.state = 23;
                return dir.create(__resumer);
              case 23:
                xx = $ctx.sent;
                $ctx.state = 25;
                break;
              case 25:
                fid = app.fs.file("" + row.Numero + "/" + nfile);
                $ctx.state = 43;
                break;
              case 43:
                $ctx.pushTry(31, null);
                $ctx.state = 34;
                break;
              case 34:
                $ctx.state = 28;
                return ou.download(fid, undefined, __resumer);
              case 28:
                $ctx.maybeThrow();
                $ctx.state = 30;
                break;
              case 30:
                $ctx.popTry();
                $ctx.state = 36;
                break;
              case 31:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 36;
                break;
              case 36:
                fp = ou.url;
                $ctx.state = 47;
                break;
              case 47:
                if (app.lUsername !== "develop") {
                  row.element.cntCard.cntSect.txtCat.innerText = row.Anno + "/" + row.Stagione + " - " + row.Descrizione;
                } else {
                  row.element.cntCard.cntSect.txtCat.innerText = row.Numero + " - " + row.Anno + "/" + row.Stagione + " - " + row.Descrizione;
                }
                row.element.cntCard.cntSect.imgCat.src = fp + "?rnd=" + Math.random();
                row.element.cntCard.cntSect.imgCat.visible = true;
                $ctx.state = 52;
                break;
              case 52:
                $ctx.popTry();
                $ctx.state = 58;
                break;
              case 53:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 58;
                break;
              case 116:
                $ctx.pushTry(114, null);
                $ctx.state = 117;
                break;
              case 117:
                di = app.fs.directory("/" + row.Anno + "_" + row.Stagione + "_" + row.Numero + "_1/");
                $ctx.state = 111;
                break;
              case 111:
                $ctx.state = 67;
                return di.exists(__resumer);
              case 67:
                de = $ctx.sent;
                $ctx.state = 69;
                break;
              case 69:
                $ctx.state = (de) ? 74 : 77;
                break;
              case 74:
                fi = app.fs.file("/" + row.Anno + "_" + row.Stagione + "_" + row.Numero + "_1/snapshotf.jpg");
                $ctx.state = 75;
                break;
              case 75:
                $ctx.state = 71;
                return fi.exists(__resumer);
              case 71:
                fe = $ctx.sent;
                $ctx.state = 73;
                break;
              case 73:
                fp = "";
                $ctx.state = 77;
                break;
              case 77:
                $ctx.state = (fe) ? 107 : 101;
                break;
              case 107:
                fp = fi.publicUrl;
                if (fp === undefined || fp.indexOf("undefined") > -1) {
                  fp = app.purl + "/" + row.Anno + "_" + row.Stagione + "_" + row.Numero + "_1/snapshotf.jpg";
                } else {
                  fix = fp.indexOf("201") - 1;
                  app.purl = fp.substring(0, fix);
                }
                $ctx.state = 108;
                break;
              case 101:
                res = "";
                ou = app.fs.url("https://stylebook.miniconf.it/stile/modellario/pub/" + row.Anno + "_" + row.Stagione + "_" + row.Numero + "_" + "1" + "/snapshotf.jpg");
                dir = app.fs.directory("" + row.Anno + "_" + row.Stagione + "_" + row.Numero + "_" + "1");
                $ctx.state = 102;
                break;
              case 102:
                $ctx.state = 80;
                return dir.exists(__resumer);
              case 80:
                de = $ctx.sent;
                $ctx.state = 82;
                break;
              case 82:
                $ctx.state = (de === false) ? 83 : 86;
                break;
              case 83:
                $ctx.state = 84;
                return dir.create(__resumer);
              case 84:
                xx = $ctx.sent;
                $ctx.state = 86;
                break;
              case 86:
                fid = app.fs.file("" + row.Anno + "_" + row.Stagione + "_" + row.Numero + "_" + "1" + "/snapshotf.jpg");
                $ctx.state = 104;
                break;
              case 104:
                $ctx.pushTry(92, null);
                $ctx.state = 95;
                break;
              case 95:
                $ctx.state = 89;
                return ou.download(fid, undefined, __resumer);
              case 89:
                $ctx.maybeThrow();
                $ctx.state = 91;
                break;
              case 91:
                $ctx.popTry();
                $ctx.state = 97;
                break;
              case 92:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 97;
                break;
              case 97:
                fp = ou.url;
                $ctx.state = 108;
                break;
              case 108:
                if (app.lUsername !== "develop") {
                  row.element.cntCard.cntSect.txtCat.innerText = row.Anno + "/" + row.Stagione + " - " + row.Descrizione;
                } else {
                  row.element.cntCard.cntSect.txtCat.innerText = row.Numero + " - " + row.Anno + "/" + row.Stagione + " - " + row.Descrizione;
                }
                row.element.cntCard.cntSect.imgCat.src = fp + "?rnd=" + Math.random();
                row.element.cntCard.cntSect.imgCat.visible = true;
                $ctx.state = 113;
                break;
              case 113:
                $ctx.popTry();
                $ctx.state = 58;
                break;
              case 114:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 58;
                break;
              case 58:
                if (_resumer)
                  _resumer();
                $ctx.state = 127;
                break;
              case 127:
                $ctx.popTry();
                $ctx.state = -2;
                break;
              case 128:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                _ex = $ctx.storedException;
                $ctx.state = 134;
                break;
              case 134:
                if (_resumer)
                  _resumer(null, _ex);
                else
                  __resumer(null, _ex);
                $ctx.state = -2;
                break;
              default:
                return $ctx.end();
            }
        }, _onRowComposition, this);
      }));
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    this.dmCataloghi.template = view.layout.cndCataloghi.cntGrid.cntCella;
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.ViewCataloghi.prototype = new App.View();
  App.ViewCataloghi.prototype.onLoad = function(options, _resumer) {
    var view = this;
    var app = view.app;
    var _this = this;
    App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onLoad(__resumer) {
      var ret,
          _ex;
      return $traceurRuntime.createGeneratorInstance(function($ctx) {
        while (true)
          switch ($ctx.state) {
            case 0:
              $ctx.pushTry(7, null);
              $ctx.state = 10;
              break;
            case 10:
              $ctx.state = 2;
              return App.sbDB.query(app, {
                "id": "ij4dGD12x8gYOF/u9ZhWSg==",
                "name": "newQuery",
                "qry": {
                  "id": "ij4dGD12x8gYOF/u9ZhWSg==",
                  "name": "newQuery",
                  "type": "s",
                  "from": [{"expr": "Cataloghi"}],
                  "select": [{
                    "expr": "Numero",
                    "from": ""
                  }, {
                    "expr": "Descrizione",
                    "from": ""
                  }, {
                    "expr": "Marchio",
                    "from": ""
                  }, {
                    "expr": "Revisione",
                    "from": ""
                  }, {
                    "expr": "Stagione",
                    "from": ""
                  }, {
                    "expr": "Anno",
                    "from": ""
                  }, {
                    "expr": "DataInizio",
                    "from": ""
                  }, {
                    "expr": "DataFine",
                    "from": ""
                  }, {
                    "expr": "Lookbook",
                    "from": ""
                  }],
                  "dm": "sbDB"
                },
                "sch": {
                  "id": "ij4dGD12x8gYOF/u9ZhWSg==",
                  "p": [{
                    "name": "Numero",
                    "datatype": "vc",
                    "nullable": true,
                    "unbound": false,
                    "pk": true
                  }, {
                    "name": "Descrizione",
                    "datatype": "vc",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "Marchio",
                    "datatype": "vc",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "Revisione",
                    "datatype": "i",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "Stagione",
                    "datatype": "vc",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "Anno",
                    "datatype": "i",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "DataInizio",
                    "datatype": "da",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "DataFine",
                    "datatype": "da",
                    "nullable": true,
                    "unbound": false
                  }, {
                    "name": "Lookbook",
                    "datatype": "i",
                    "nullable": true,
                    "unbound": false,
                    "pk": true,
                    "default": "0"
                  }]
                },
                "view": view,
                "this": _this
              }, __resumer);
            case 2:
              ret = $ctx.sent;
              $ctx.state = 4;
              break;
            case 4:
              if (ret.length === 0) {
                App.ViewMain.open(app, App.ViewSincronizzazione, {StartSync: 1});
              }
              if (_resumer)
                _resumer();
              $ctx.state = 6;
              break;
            case 6:
              $ctx.popTry();
              $ctx.state = -2;
              break;
            case 7:
              $ctx.popTry();
              $ctx.maybeUncatchable();
              _ex = $ctx.storedException;
              $ctx.state = 13;
              break;
            case 13:
              if (_resumer)
                _resumer(null, _ex);
              else
                __resumer(null, _ex);
              $ctx.state = -2;
              break;
            default:
              return $ctx.end();
          }
      }, _onLoad, this);
    }));
  };
  App.ViewCataloghi.prototype.refreshData = function(_resumer) {
    var view = this;
    var app = view.app;
    var _this = this;
    App.Utils.sync($traceurRuntime.initGeneratorFunction(function _refreshData(__resumer) {
      var _ex;
      return $traceurRuntime.createGeneratorInstance(function($ctx) {
        while (true)
          switch ($ctx.state) {
            case 0:
              $ctx.pushTry(7, null);
              $ctx.state = 10;
              break;
            case 10:
              $ctx.state = 2;
              return view.dmCataloghi.reload(undefined, __resumer);
            case 2:
              $ctx.maybeThrow();
              $ctx.state = 4;
              break;
            case 4:
              if (_resumer)
                _resumer();
              $ctx.state = 6;
              break;
            case 6:
              $ctx.popTry();
              $ctx.state = -2;
              break;
            case 7:
              $ctx.popTry();
              $ctx.maybeUncatchable();
              _ex = $ctx.storedException;
              $ctx.state = 13;
              break;
            case 13:
              if (_resumer)
                _resumer(null, _ex);
              else
                __resumer(null, _ex);
              $ctx.state = -2;
              break;
            default:
              return $ctx.end();
          }
      }, _refreshData, this);
    }));
  };
  App.ViewCataloghi.refreshData = function(app, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewCataloghi', opt).refreshData(_resumer);
  };
  App.ViewCataloghi.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewCataloghi', opt).show(options);
  };
  App.ViewCataloghi.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewCataloghi', opt).close(info);
  };
  if (module)
    module.exports = App.ViewCataloghi;
  //# sourceURL=ViewCataloghi.js

if (module)
  module.exports = App.ViewCataloghi;