
 var App = App || {};
  if (module) {
    App.View = require("../view");
  }
  App.ViewCatalogo = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../requireClasses");
    var view = this;
    this.id = "D32bGe6dWcsQNuE8JYikaQ==";
    App.View.call(this, app, false);
    this.className = "ViewCatalogo";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.layoutCat = new App.RemElem(this, {
      "id": "xPlfG70KO2JGz+InxJ2cqA==",
      "name": "layoutCat",
      "children": [{
        "id": "cgSw6Kwd+pKicuNt6ye6QQ==",
        "name": "catCnt",
        "children": [{
          "id": "bJRDE3A5320gHhXr8M+kmA==",
          "name": "catGrid",
          "children": [{
            "id": "fc+TAytiotRfHoh6GZullA==",
            "name": "cella",
            "children": [{
              "id": "T7BsixqTpU6SVb6pdfoMCw==",
              "name": "cardCat",
              "children": [{
                "id": "Pf4XEGI3DvfxHkTLe3mcgg==",
                "name": "secImg",
                "children": [{
                  "id": "KUcODtmTSE3HAsDFA4EVJA==",
                  "name": "imgArt1",
                  "class": "Image",
                  "className": " imgArt"
                }],
                "class": "MDCardSection",
                "secType": "image"
              }, {
                "id": "v4giESsxDhRK2KLfA9eWdw==",
                "name": "secNote",
                "children": [{
                  "id": "7tgKl34js1L0TMwf77nSCw==",
                  "name": "imgNote",
                  "class": "Image",
                  "src": "../resources/860def55-7421-4352-ac6c-7a339fe75b87.png",
                  "visible": true,
                  "className": "imgNote"
                }],
                "class": "MDCardSection",
                "visible": false,
                "secType": "image",
                "style": {"position": "absolute"}
              }],
              "class": "MDCard",
              "shadow": 4,
              "className": "bgloader",
              "style": {"width": "100%"}
            }, {
              "id": "aTrKpZ07dOWoHEmncsEhiA==",
              "name": "imgZ",
              "class": "MDListIcon",
              "icon": "zoom_in",
              "className": " imgZ"
            }],
            "class": "MDCell",
            "cols": 12,
            "className": "cellavm"
          }],
          "class": "MDContent",
          "type": "grid"
        }],
        "class": "MDContent",
        "type": "main"
      }],
      "class": "MDLayout"
    }, this);
    this.elements.push(this.layoutCat);
    this.dmCata = new App.DataMap(this, {
      "id": "ni96UI46WBeDj/QtKz5EfQ==",
      "name": "dmCata",
      "class": "DataMap",
      "autoLoad": true,
      "useWindow": false
    }, this);
    this.elements.push(this.dmCata);
    this.dmCata.addQuery({
      "id": "CHudOtu+J1iiTeKahPNccQ==",
      "name": "qryCatalogo",
      "type": "s",
      "from": [{"expr": "Pagine"}],
      "select": [{
        "expr": "Anno",
        "from": ""
      }, {
        "expr": "Stagione",
        "from": ""
      }, {
        "expr": "Pagina",
        "from": "",
        "alias": "Pagina"
      }, {
        "expr": "Ordine",
        "from": ""
      }, {
        "expr": "NumeroCat",
        "from": ""
      }, {
        "expr": "max",
        "funct": true,
        "aggr": true,
        "p": [{
          "expr": "Larghezza",
          "from": ""
        }],
        "alias": "Larghezza"
      }, {
        "expr": "max",
        "funct": true,
        "aggr": true,
        "p": [{
          "expr": "Altezza",
          "from": ""
        }],
        "alias": "Altezza"
      }, {
        "expr": "min",
        "funct": true,
        "aggr": true,
        "p": [{
          "expr": "Nome",
          "from": ""
        }],
        "alias": "Nome"
      }, {
        "expr": "Lookbook",
        "from": ""
      }],
      "where": [{"p": [{
          "expr": "NumeroCat",
          "from": ""
        }, {
          "expr": "=",
          "op": true
        }, {
          "expr": "view.numCat",
          "clientRef": true
        }]}, {"p": [{
          "expr": "Tipo",
          "from": ""
        }, {
          "expr": "=",
          "op": true
        }, {"expr": "0"}]}],
      "group": [{
        "expr": "Pagina",
        "from": ""
      }, {
        "expr": "Ordine",
        "from": ""
      }, {
        "expr": "NumeroCat",
        "from": ""
      }, {
        "expr": "Anno",
        "from": ""
      }, {
        "expr": "Stagione",
        "from": ""
      }, {
        "expr": "Lookbook",
        "from": ""
      }],
      "order": [{
        "expr": "Ordine",
        "from": ""
      }, {
        "expr": "Pagina",
        "from": ""
      }],
      "dm": "sbDB"
    });
    this.dmCata.addSchema({
      "id": "CHudOtu+J1iiTeKahPNccQ==",
      "p": [{
        "name": "Anno",
        "datatype": "i",
        "nullable": true,
        "unbound": false,
        "pk": true
      }, {
        "name": "Stagione",
        "datatype": "vc",
        "nullable": true,
        "unbound": false,
        "pk": true
      }, {
        "name": "Pagina",
        "datatype": "i",
        "nullable": true,
        "unbound": false,
        "pk": true
      }, {
        "name": "Ordine",
        "datatype": "i",
        "nullable": true,
        "unbound": false
      }, {
        "name": "NumeroCat",
        "datatype": "vc",
        "nullable": true,
        "unbound": false,
        "pk": true
      }, {"name": "Larghezza"}, {"name": "Altezza"}, {"name": "Nome"}, {
        "name": "Lookbook",
        "datatype": "i",
        "nullable": true,
        "unbound": false,
        "pk": true,
        "default": "0"
      }]
    });
    this.oggetti = new App.Collection(this, {
      "id": "uD43h5sDjW6Lk/qDThHAQg==",
      "name": "oggetti",
      "class": "DataMap"
    }, this);
    this.elements.push(this.oggetti);
    this.oggetti.rowTemplate = new App.SBlib.DOCPAG(app);
    view.layoutCat.catCnt.catGrid.cella.cardCat.secImg.imgArt1.onLoad = function() {
      var view = this.view;
      this.row.element.cardCat.secImg.imgArt1.visible = true;
    };
    view.layoutCat.catCnt.catGrid.cella.cardCat.secNote.imgNote.onClick = function(event) {
      var view = this.view;
      if (this.title > "") {
        App.ViewMain.open(app, App.Dialog, {
          titolo: this.title,
          desc: this.alt,
          mode: "popup",
          autoclose: true,
          modal: true
        });
      }
    };
    view.layoutCat.catCnt.catGrid.cella.imgZ.onClick = function(event) {
      var view = this.view;
      App.ViewMain.open(app, App.DialogZoom, {immagine: this.row.element.cardCat.secImg.imgArt1.src});
    };
    view.dmCata.onRowComposition = function(row, template, _resumer) {
      var view = this.view;
      var _this = this;
      App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onRowComposition(__resumer) {
        var e1,
            i,
            ext,
            nfile,
            perfile,
            fi,
            fe,
            fs,
            fp,
            res,
            ou,
            dir,
            de,
            xx,
            fid,
            noex,
            fne,
            fze,
            perfilen,
            fin,
            fen,
            fc,
            decRisp,
            cc,
            si,
            exception,
            _ex;
        return $traceurRuntime.createGeneratorInstance(function($ctx) {
          while (true)
            switch ($ctx.state) {
              case 0:
                $ctx.pushTry(221, null);
                $ctx.state = 224;
                break;
              case 224:
                row.element.cardCat.secImg.imgArt1.visible = false;
                e1 = row.element.cardCat.elements;
                for (i = 0; i < e1.length; i++) {
                  if (e1[i].name == "secNote") {
                    e1[i].visible = false;
                  }
                }
                row.element.cardCat.style.backgroundImage = 'url("' + "../resources/565288bb-000b-4228-8936-497e13e877db.gif" + '")';
                ext = ".jpg";
                $ctx.state = 218;
                break;
              case 218:
                $ctx.state = (row.Lookbook === -1) ? 91 : 187;
                break;
              case 91:
                nfile = row.Nome + ext;
                perfile = "/" + row.NumeroCat + "/" + nfile;
                fi = app.fs.file(perfile);
                $ctx.state = 92;
                break;
              case 92:
                $ctx.state = 2;
                return fi.exists(__resumer);
              case 2:
                fe = $ctx.sent;
                $ctx.state = 4;
                break;
              case 4:
                $ctx.state = (fe) ? 5 : 14;
                break;
              case 5:
                $ctx.state = 6;
                return fi.length(__resumer);
              case 6:
                fs = $ctx.sent;
                $ctx.state = 8;
                break;
              case 8:
                $ctx.state = (fs === 0) ? 9 : 14;
                break;
              case 9:
                $ctx.state = 10;
                return fi.remove(__resumer);
              case 10:
                $ctx.maybeThrow();
                $ctx.state = 12;
                break;
              case 12:
                fe = false;
                $ctx.state = 14;
                break;
              case 14:
                fp = "";
                $ctx.state = 94;
                break;
              case 94:
                $ctx.state = (fe) ? 88 : 84;
                break;
              case 88:
                fp = fi.publicUrl;
                if (fp === undefined || fp.indexOf("undefined") > -1) {
                  fp = app.purl + "/" + row.NumeroCat + "/" + nfile;
                }
                $ctx.state = 89;
                break;
              case 84:
                res = "";
                ou = app.fs.url("https://stylebook.miniconf.it/lookbook/" + perfile);
                dir = app.fs.directory("" + row.NumeroCat);
                $ctx.state = 85;
                break;
              case 85:
                $ctx.state = 18;
                return dir.exists(__resumer);
              case 18:
                de = $ctx.sent;
                $ctx.state = 20;
                break;
              case 20:
                $ctx.state = (de === false) ? 21 : 24;
                break;
              case 21:
                $ctx.state = 22;
                return dir.create(__resumer);
              case 22:
                xx = $ctx.sent;
                $ctx.state = 24;
                break;
              case 24:
                fid = app.fs.file(perfile);
                noex = false;
                $ctx.state = 87;
                break;
              case 87:
                $ctx.pushTry(30, null);
                $ctx.state = 33;
                break;
              case 33:
                $ctx.state = 27;
                return ou.download(fid, undefined, __resumer);
              case 27:
                $ctx.maybeThrow();
                $ctx.state = 29;
                break;
              case 29:
                $ctx.popTry();
                $ctx.state = 35;
                break;
              case 30:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 36;
                break;
              case 36:
                noex = true;
                $ctx.state = 35;
                break;
              case 35:
                $ctx.state = 40;
                return fid.exists(__resumer);
              case 40:
                fne = $ctx.sent;
                $ctx.state = 42;
                break;
              case 42:
                $ctx.state = (fne) ? 43 : 50;
                break;
              case 43:
                $ctx.state = 44;
                return fid.length(__resumer);
              case 44:
                fze = $ctx.sent;
                $ctx.state = 46;
                break;
              case 46:
                $ctx.state = (fze === 0) ? 51 : 50;
                break;
              case 51:
                fne = false;
                $ctx.state = 52;
                break;
              case 52:
                $ctx.state = 48;
                return fid.remove(__resumer);
              case 48:
                $ctx.maybeThrow();
                $ctx.state = 50;
                break;
              case 50:
                $ctx.state = (fne === false || noex) ? 79 : 81;
                break;
              case 79:
                perfilen = "/" + row.NumeroCat + "/" + nfile;
                fi = app.fs.file(perfilen);
                $ctx.state = 80;
                break;
              case 80:
                $ctx.state = 56;
                return fi.exists(__resumer);
              case 56:
                fe = $ctx.sent;
                $ctx.state = 58;
                break;
              case 58:
                $ctx.state = (fe) ? 76 : 72;
                break;
              case 76:
                fp = fi.publicUrl;
                if (fp === undefined || fp.indexOf("undefined") > -1) {
                  fp = app.purl + "/" + row.NumeroCat + "/" + nfile;
                }
                $ctx.state = 89;
                break;
              case 72:
                fid = app.fs.file(perfilen);
                ou = app.fs.url("https://stylebook.miniconf.it/lookbook" + perfilen);
                $ctx.state = 73;
                break;
              case 73:
                $ctx.pushTry(63, null);
                $ctx.state = 66;
                break;
              case 66:
                $ctx.state = 60;
                return ou.download(fid, undefined, __resumer);
              case 60:
                $ctx.maybeThrow();
                $ctx.state = 62;
                break;
              case 62:
                $ctx.popTry();
                $ctx.state = 68;
                break;
              case 63:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 68;
                break;
              case 68:
                fp = ou.url;
                $ctx.state = 89;
                break;
              case 81:
                fp = ou.url;
                $ctx.state = 89;
                break;
              case 89:
                row.element.cardCat.secImg.imgArt1.src = fp + "?rnd=" + Math.random();
                $ctx.state = 96;
                break;
              case 187:
                perfile = "/" + row.Anno + "_" + row.Stagione + "_" + row.NumeroCat + "_" + row.Pagina + "/snapshotf" + ext;
                fi = app.fs.file(perfile);
                $ctx.state = 188;
                break;
              case 188:
                $ctx.state = 98;
                return fi.exists(__resumer);
              case 98:
                fe = $ctx.sent;
                $ctx.state = 100;
                break;
              case 100:
                $ctx.state = (fe) ? 101 : 110;
                break;
              case 101:
                $ctx.state = 102;
                return fi.length(__resumer);
              case 102:
                fs = $ctx.sent;
                $ctx.state = 104;
                break;
              case 104:
                $ctx.state = (fs === 0) ? 105 : 110;
                break;
              case 105:
                $ctx.state = 106;
                return fi.remove(__resumer);
              case 106:
                $ctx.maybeThrow();
                $ctx.state = 108;
                break;
              case 108:
                fe = false;
                $ctx.state = 110;
                break;
              case 110:
                fp = "";
                $ctx.state = 190;
                break;
              case 190:
                $ctx.state = (fe) ? 184 : 180;
                break;
              case 184:
                fp = fi.publicUrl;
                if (fp === undefined || fp.indexOf("undefined") > -1) {
                  fp = app.purl + "/" + row.Anno + "_" + row.Stagione + "_" + row.NumeroCat + "_" + row.Pagina + "/snapshotf" + ext;
                }
                $ctx.state = 185;
                break;
              case 180:
                res = "";
                ou = app.fs.url("https://stylebook.miniconf.it/stile/modellario/pub/" + perfile);
                dir = app.fs.directory("" + row.Anno + "_" + row.Stagione + "_" + row.NumeroCat + "_" + row.Pagina);
                $ctx.state = 181;
                break;
              case 181:
                $ctx.state = 114;
                return dir.exists(__resumer);
              case 114:
                de = $ctx.sent;
                $ctx.state = 116;
                break;
              case 116:
                $ctx.state = (de === false) ? 117 : 120;
                break;
              case 117:
                $ctx.state = 118;
                return dir.create(__resumer);
              case 118:
                xx = $ctx.sent;
                $ctx.state = 120;
                break;
              case 120:
                fid = app.fs.file(perfile);
                noex = false;
                $ctx.state = 183;
                break;
              case 183:
                $ctx.pushTry(126, null);
                $ctx.state = 129;
                break;
              case 129:
                $ctx.state = 123;
                return ou.download(fid, undefined, __resumer);
              case 123:
                $ctx.maybeThrow();
                $ctx.state = 125;
                break;
              case 125:
                $ctx.popTry();
                $ctx.state = 131;
                break;
              case 126:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 132;
                break;
              case 132:
                noex = true;
                $ctx.state = 131;
                break;
              case 131:
                $ctx.state = 136;
                return fid.exists(__resumer);
              case 136:
                fne = $ctx.sent;
                $ctx.state = 138;
                break;
              case 138:
                $ctx.state = (fne) ? 139 : 146;
                break;
              case 139:
                $ctx.state = 140;
                return fid.length(__resumer);
              case 140:
                fze = $ctx.sent;
                $ctx.state = 142;
                break;
              case 142:
                $ctx.state = (fze === 0) ? 147 : 146;
                break;
              case 147:
                fne = false;
                $ctx.state = 148;
                break;
              case 148:
                $ctx.state = 144;
                return fid.remove(__resumer);
              case 144:
                $ctx.maybeThrow();
                $ctx.state = 146;
                break;
              case 146:
                $ctx.state = (fne === false || noex) ? 175 : 177;
                break;
              case 175:
                perfilen = "/" + row.Anno + "_" + row.Stagione + "_" + row.NumeroCat + "_" + row.Pagina + "/snapshotf" + ext;
                fi = app.fs.file(perfilen);
                $ctx.state = 176;
                break;
              case 176:
                $ctx.state = 152;
                return fi.exists(__resumer);
              case 152:
                fe = $ctx.sent;
                $ctx.state = 154;
                break;
              case 154:
                $ctx.state = (fe) ? 172 : 168;
                break;
              case 172:
                fp = fi.publicUrl;
                if (fp === undefined || fp.indexOf("undefined") > -1) {
                  fp = app.purl + "/" + row.Anno + "_" + row.Stagione + "_" + row.NumeroCat + "_" + row.Pagina + "/snapshotf" + ext;
                }
                $ctx.state = 185;
                break;
              case 168:
                fid = app.fs.file(perfilen);
                ou = app.fs.url("https://stylebook.miniconf.it/stile/modellario/pub/" + perfilen);
                $ctx.state = 169;
                break;
              case 169:
                $ctx.pushTry(159, null);
                $ctx.state = 162;
                break;
              case 162:
                $ctx.state = 156;
                return ou.download(fid, undefined, __resumer);
              case 156:
                $ctx.maybeThrow();
                $ctx.state = 158;
                break;
              case 158:
                $ctx.popTry();
                $ctx.state = 164;
                break;
              case 159:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 164;
                break;
              case 164:
                fp = ou.url;
                $ctx.state = 185;
                break;
              case 177:
                fp = ou.url;
                $ctx.state = 185;
                break;
              case 185:
                row.element.cardCat.secImg.imgArt1.src = fp + "?rnd=" + Math.random();
                $ctx.state = 96;
                break;
              case 96:
                $ctx.pushTry(208, null);
                $ctx.state = 211;
                break;
              case 211:
                $ctx.state = (app.showInfo === true) ? 205 : 203;
                break;
              case 205:
                fin = app.fs.file("dati/" + _this.row.NumeroCat + ".json");
                $ctx.state = 206;
                break;
              case 206:
                $ctx.state = 195;
                return fin.exists(__resumer);
              case 195:
                fen = $ctx.sent;
                $ctx.state = 197;
                break;
              case 197:
                $ctx.state = (fen) ? 198 : 203;
                break;
              case 198:
                $ctx.state = 199;
                return fin.readAll(__resumer);
              case 199:
                fc = $ctx.sent;
                $ctx.state = 201;
                break;
              case 201:
                if (fc !== "") {
                  decRisp = JSON.parse(fc);
                  if (decRisp.TableData.Row) {
                    cc = decRisp.TableData.Row;
                    for (i = 0; i < cc.length; i++) {
                      if (cc[i].PAGINA == row.Pagina) {
                        si = row.element.cardCat.secNote.clone();
                        si.style.zIndex = 30;
                        si.style.left = parseFloat(cc[i].POSX / row.Larghezza) * 100 + "%";
                        si.style.top = parseFloat(cc[i].POSY / row.Altezza) * 100 + "%";
                        si.style.width = (parseFloat(cc[i].LARGHEZZA / row.Larghezza) * 100) + 1 + "%";
                        if (cc[i].TIPO === 3) {
                          si.imgNote.title = cc[i].TITOLO;
                          si.imgNote.alt = cc[i].MESSAGGIO;
                          si.imgNote.style.left = parseFloat((parseFloat(cc[i].LARGHEZZA / row.Larghezza) * 50) + (parseFloat(row.PosX / row.lars) * 100)) + "%";
                          si.imgNote.style.top = parseFloat((parseFloat(cc[i].POSY / row.Altezza) * 100) + (parseFloat(cc[i].ALTEZZA / row.Altezza) * 100)) + "%";
                          si.imgNote.src = "../resources/860def55-7421-4352-ac6c-7a339fe75b87.png";
                        }
                        if (cc[i].TIPO === 5) {
                          si.imgNote.style.alt = row.VAVE;
                          si.imgNote.style.left = parseFloat((parseFloat(cc[i].LARGHEZZA / row.Larghezza) * 60) + (parseFloat(row.PosX / row.lars) * 100)) + "%";
                          si.imgNote.style.top = parseFloat(cc[i].POSY / row.Altezza) * 100 + "%";
                          si.imgNote.src = "../resources/1413e40b-6128-4225-8154-133d8acd7965.png";
                        }
                        if (cc[i].TIPO === 6) {
                          si.imgNote.alt = row.VAVE;
                          si.imgNote.style.left = parseFloat((parseFloat(cc[i].LARGHEZZA / row.Larghezza) * 70) + (parseFloat(row.PosX / row.lars) * 100)) + "%";
                          si.imgNote.style.top = parseFloat(cc[i].POSY / row.Altezza) * 100 + "%";
                          si.imgNote.src = "../resources/5804edfc-83da-4175-ba1b-2c4721f18b5a.png";
                        }
                        if (cc[i].TIPO === 7) {
                          si.imgNote.alt = row.VAVE;
                          si.imgNote.style.left = parseFloat((parseFloat(cc[i].LARGHEZZA / row.Larghezza) * 80) + (parseFloat(row.PosX / row.lars) * 100)) + "%";
                          si.imgNote.style.top = parseFloat(cc[i].POSY / row.Altezza) * 100 + "%";
                          si.imgNote.src = "../resources/88c22918-0ebd-489d-9625-e94b2ceba233.png";
                        }
                        si.visible = true;
                        row.element.cardCat.appendChild(si);
                      }
                    }
                  }
                }
                $ctx.state = 203;
                break;
              case 203:
                $ctx.popTry();
                $ctx.state = 213;
                break;
              case 208:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                exception = $ctx.storedException;
                $ctx.state = 213;
                break;
              case 213:
                if (_resumer)
                  _resumer();
                $ctx.state = 220;
                break;
              case 220:
                $ctx.popTry();
                $ctx.state = -2;
                break;
              case 221:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                _ex = $ctx.storedException;
                $ctx.state = 227;
                break;
              case 227:
                if (_resumer)
                  _resumer(null, _ex);
                else
                  __resumer(null, _ex);
                $ctx.state = -2;
                break;
              default:
                return $ctx.end();
            }
        }, _onRowComposition, this);
      }));
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    this.dmCata.template = view.layoutCat.catCnt.catGrid.cella;
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.ViewCatalogo.prototype = new App.View();
  App.ViewCatalogo.prototype.onLoad = function(options, _resumer) {
    var view = this;
    var app = view.app;
    var _this = this;
    App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onLoad(__resumer) {
      var rr,
          fin,
          fen,
          fc,
          decRisp,
          cc,
          _ex;
      return $traceurRuntime.createGeneratorInstance(function($ctx) {
        while (true)
          switch ($ctx.state) {
            case 0:
              $ctx.pushTry(16, null);
              $ctx.state = 19;
              break;
            case 19:
              _this.cerca = "";
              _this.numCat = options.numCat;
              view.layoutCat.catCnt.visible = true;
              fin = app.fs.file("dati/pagine.json");
              console.log(fin);
              $ctx.state = 13;
              break;
            case 13:
              $ctx.state = 2;
              return fin.exists(__resumer);
            case 2:
              fen = $ctx.sent;
              $ctx.state = 4;
              break;
            case 4:
              $ctx.state = (fen) ? 5 : 10;
              break;
            case 5:
              $ctx.state = 6;
              return fin.readAll(__resumer);
            case 6:
              fc = $ctx.sent;
              $ctx.state = 8;
              break;
            case 8:
              if (fc !== "") {
                decRisp = JSON.parse(fc);
                if (decRisp.TableData.Row) {
                  cc = decRisp.TableData.Row;
                  for (i = 0; i < cc.length; i++) {
                    rr = App.SBlib.DOCPAG.fromJSON(app, cc[i]);
                    if (rr.NUMEROCAT == options.numCat) {
                      view.oggetti.insert(rr);
                    }
                  }
                }
              }
              $ctx.state = 10;
              break;
            case 10:
              if (_resumer)
                _resumer();
              $ctx.state = 15;
              break;
            case 15:
              $ctx.popTry();
              $ctx.state = -2;
              break;
            case 16:
              $ctx.popTry();
              $ctx.maybeUncatchable();
              _ex = $ctx.storedException;
              $ctx.state = 22;
              break;
            case 22:
              if (_resumer)
                _resumer(null, _ex);
              else
                __resumer(null, _ex);
              $ctx.state = -2;
              break;
            default:
              return $ctx.end();
          }
      }, _onLoad, this);
    }));
  };
  App.ViewCatalogo.prototype.refreshInfo = function() {
    var view = this;
    var app = view.app;
    var e1 = view.layoutCat.catCnt.catGrid.elements;
    for (var i = 0; i < e1.length; i++) {
      if (e1[i].name == "cella") {
        var e2 = e1[i].elements;
        for (var j = 0; j < e2.length; j++) {
          if (e2[j].name == "cardCat") {
            var e3 = e2[j].elements;
            var es = e3;
            for (var k = 0; k < es.length; k++) {
              if (es[k].name == "secNote") {
                es[k].style.opacity = app.theme.infoSize;
              }
            }
          }
        }
      }
    }
  };
  App.ViewCatalogo.prototype.ricerca = function(stringa, _resumer) {
    var view = this;
    var app = view.app;
    var _this = this;
    App.Utils.sync($traceurRuntime.initGeneratorFunction(function _ricerca(__resumer) {
      var res,
          i,
          pagine,
          _ex;
      return $traceurRuntime.createGeneratorInstance(function($ctx) {
        while (true)
          switch ($ctx.state) {
            case 0:
              $ctx.pushTry(9, null);
              $ctx.state = 12;
              break;
            case 12:
              view.dmCata.clearFilters();
              res = [];
              for (i = 0; i < view.oggetti.rows.length; i++) {
                if (view.oggetti.rows[i].NOME.indexOf(stringa) > -1 && res.indexOf(view.oggetti.rows[i].PAGINA) === -1)
                  res.push(view.oggetti.rows[i].PAGINA);
              }
              pagine = res.join(";");
              if (pagine.length > 0) {
                view.dmCata.addFilter("Pagina", pagine);
              }
              $ctx.state = 6;
              break;
            case 6:
              $ctx.state = 2;
              return view.dmCata.reload(undefined, __resumer);
            case 2:
              $ctx.maybeThrow();
              $ctx.state = 4;
              break;
            case 4:
              if (_resumer)
                _resumer();
              $ctx.state = 8;
              break;
            case 8:
              $ctx.popTry();
              $ctx.state = -2;
              break;
            case 9:
              $ctx.popTry();
              $ctx.maybeUncatchable();
              _ex = $ctx.storedException;
              $ctx.state = 15;
              break;
            case 15:
              if (_resumer)
                _resumer(null, _ex);
              else
                __resumer(null, _ex);
              $ctx.state = -2;
              break;
            default:
              return $ctx.end();
          }
      }, _ricerca, this);
    }));
  };
  App.ViewCatalogo.refreshInfo = function(app) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewCatalogo', opt).refreshInfo();
  };
  App.ViewCatalogo.ricerca = function(app, stringa, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewCatalogo', opt).ricerca(stringa, _resumer);
  };
  App.ViewCatalogo.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewCatalogo', opt).show(options);
  };
  App.ViewCatalogo.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewCatalogo', opt).close(info);
  };
  if (module)
    module.exports = App.ViewCatalogo;
  //# sourceURL=ViewCatalogo.js

if (module)
  module.exports = App.ViewCatalogo;