
 var App = App || {};
  if (module) {
    App.View = require("../view");
  }
  App.ViewMain = function(app, viewDef, options) {
    if (!app)
      return ;
    if (module && !App.RemElem && app)
      App = require("../requireClasses");
    var view = this;
    this.id = "zVbtZmeosDWew/FNNQtTcg==";
    App.View.call(this, app, false);
    this.className = "ViewMain";
    this.requirements = {
      "https://code.getmdl.io/$mdVersion/material.$mdPrimaryColor-$mdAccentColor.min.css": {
        "type": "cs",
        "name": "mdcss"
      },
      "https://storage.googleapis.com/code.getmdl.io/$mdVersion/material.min.js": {
        "type": "jc",
        "name": "mdjs"
      },
      "objects/materialdesign/md.min.js": {
        "type": "jc",
        "name": "mdwrapper"
      },
      "https://fonts.googleapis.com/icon?family=Material+Icons": {
        "type": "cs",
        "name": "mdicons"
      }
    };
    this.layout = new App.RemElem(this, {
      "id": "aLFUliz1K2ldXL4OsLIpDg==",
      "name": "layout",
      "children": [{
        "id": "APJbSn8JfUd11UcC/rqx+w==",
        "name": "header",
        "children": [{
          "id": "YkNRGuFjsmW5a+JeHb7+yg==",
          "name": "headerRow",
          "children": [{
            "id": "XFecg/R9Y8UwjMcOR/uDTQ==",
            "name": "menuBtn",
            "class": "MDButton",
            "btnType": "icon",
            "icon": "more_vert",
            "style": {"margin-right": "20px"}
          }, {
            "id": "M7e/lSYip29UgoZ3AkMr/w==",
            "name": "newMDMenu",
            "children": [{
              "id": "jhiZ4XbB4Daljyl6LB5hgw==",
              "name": "mnuCataloghi",
              "children": [{
                "id": "vxmsaXwh65GnPhsG1T/auQ==",
                "name": "newMDLink",
                "children": [],
                "class": "MDLink",
                "&innerHTML": {
                  "t": "<i class=\"material-icons\">photo_library</i> Collections",
                  "id": "vxmsaXwh65GnPhsG1T/auQ=="
                }
              }],
              "class": "MDMenuItem"
            }, {
              "id": "9ph5/Zo/NoWdZuH91owuqQ==",
              "name": "mnuSync",
              "children": [{
                "id": "EEYIIjRoX4gwSYFSmHh6sw==",
                "name": "newMDLink",
                "children": [],
                "class": "MDLink",
                "&innerHTML": {
                  "t": "<i class=\"material-icons\">sync</i> Sync",
                  "id": "EEYIIjRoX4gwSYFSmHh6sw=="
                }
              }],
              "class": "MDMenuItem"
            }, {
              "id": "lbEAAaK+Rofj0PSWNl7zZA==",
              "name": "mnuSettings",
              "children": [{
                "id": "+KBo5Mc4ocCPyjNqGcNVjA==",
                "name": "newMDLink",
                "children": [],
                "class": "MDLink",
                "&innerHTML": {
                  "t": "<i class=\"material-icons\">settings</i> Settings",
                  "id": "+KBo5Mc4ocCPyjNqGcNVjA=="
                }
              }],
              "class": "MDMenuItem"
            }],
            "class": "MDMenu",
            "ripple": true,
            "position": "bottom-left",
            "style": {"background-color": "#cc1818"}
          }, {
            "id": "pdRE/BsjNKBTcJpUtktmSg==",
            "name": "logo",
            "class": "Image",
            "src": "../resources/46bc18ee-0a36-4fc8-a255-b3b6ffb37ffa.png",
            "className": "hlogo"
          }, {
            "id": "k2jZuyzbkL1tvHm1z6NRBw==",
            "name": "spazio",
            "children": [],
            "class": "MDText",
            "type": "spacer"
          }, {
            "id": "RXgmvhP3v9cwIz018zP0xA==",
            "name": "menuMore",
            "class": "MDButton",
            "icon": "bookmark_border",
            "btnType": "icon"
          }, {
            "id": "DPy0T3AQmVq4unsBe1G93w==",
            "name": "menuCat",
            "children": [{
              "id": "FzaqRUZuC1xLesro5a4otw==",
              "name": "itmInfo",
              "children": [{
                "id": "NrtQCxKnpy8w1o3FFOHAAQ==",
                "name": "infoLnk",
                "children": [],
                "class": "MDLink",
                "&innerHTML": {
                  "t": "<i class=\"material-icons\">info_outline</i> Hide Info",
                  "id": "NrtQCxKnpy8w1o3FFOHAAQ=="
                }
              }],
              "class": "MDMenuItem"
            }, {
              "id": "tbDUXv38JyN8DbUvo4l2kg==",
              "name": "itmCerca",
              "children": [{
                "id": "OQe2yUEyurXYlOxIhdGxew==",
                "name": "newMDLink",
                "children": [],
                "class": "MDLink",
                "&innerHTML": {
                  "t": "<i class=\"material-icons\">search</i> Search",
                  "id": "OQe2yUEyurXYlOxIhdGxew=="
                },
                "visible": true
              }],
              "class": "MDMenuItem"
            }, {
              "id": "i0/7O4LUMERhz7nMQk9wyA==",
              "name": "itmResetCerca",
              "children": [{
                "id": "tCz+NgCRXmC/aBOOBhAnsA==",
                "name": "newMDLink",
                "children": [],
                "class": "MDLink",
                "&innerHTML": {
                  "t": "<i class=\"material-icons\">cancel</i> Reset Search",
                  "id": "tCz+NgCRXmC/aBOOBhAnsA=="
                },
                "visible": true
              }],
              "class": "MDMenuItem"
            }],
            "class": "MDMenu",
            "position": "bottom-right",
            "ripple": true,
            "style": {
              "background-color": "#cc1818",
              "text-align": "center",
              "width": "154px"
            }
          }, {
            "id": "jNGdxolsJDpLr1gqrDptJg==",
            "name": "btnBack",
            "class": "MDButton",
            "btnType": "icon",
            "icon": "reply"
          }],
          "class": "MDHeaderRow",
          "className": " header-nomenu"
        }],
        "class": "MDHeader",
        "menuIcon": false,
        "className": "header"
      }, {
        "id": "Woner/sIQiuyEjYtQQaaeg==",
        "name": "mainCnt",
        "children": [],
        "class": "AltContainer",
        "className": "maincnt"
      }],
      "class": "MDLayout",
      "className": "mainpage"
    }, this);
    this.elements.push(this.layout);
    view.layout.header.headerRow.newMDMenu.mnuCataloghi.onClick = function(event) {
      var view = this.view;
      App.ViewMain.open(app, App.ViewCataloghi);
    };
    view.layout.header.headerRow.newMDMenu.mnuSync.onClick = function(event) {
      var view = this.view;
      App.ViewMain.open(app, App.ViewSincronizzazione);
    };
    view.layout.header.headerRow.newMDMenu.mnuSettings.onClick = function(event) {
      var view = this.view;
      App.ViewMain.open(app, App.ViewSettings, {FromMenu: 1});
    };
    view.layout.header.headerRow.menuCat.itmInfo.infoLnk.onClick = function(event) {
      var view = this.view;
      if (app.showInfo) {
        app.theme.infoSize = "0";
        app.showInfo = false;
        this.innerHTML = "<i class=\"material-icons\">info_outline</i> Show Info";
      } else {
        this.innerHTML = "<i class=\"material-icons\">info_outline</i> Hide Info";
        app.theme.infoSize = "1";
        app.showInfo = true;
      }
      var nv = view.layout.mainCnt.elements.length - 1;
      var v = view.layout.mainCnt.elements[nv];
      if (v.elements[0].name === "layoutCat") {
        v.refreshInfo(app);
      }
    };
    view.layout.header.headerRow.menuCat.itmCerca.newMDLink.onClick = function(event) {
      var view = this.view;
      view.layout.header.headerRow.menuCat.hide();
      App.ViewMain.open(app, App.DialogSearch, {
        mode: "popup",
        autoclose: true,
        modal: true
      });
    };
    view.layout.header.headerRow.menuCat.itmResetCerca.newMDLink.onClick = function(event) {
      var view = this.view;
      view.layout.header.headerRow.menuCat.hide();
      var nv = view.layout.mainCnt.elements.length - 1;
      var v = view.layout.mainCnt.elements[nv];
      if (v.elements[0].name === "layoutCat") {
        v.ricerca("");
      }
    };
    view.layout.header.headerRow.btnBack.onClick = function(event, _resumer) {
      var view = this.view;
      var _this = this;
      App.Utils.sync($traceurRuntime.initGeneratorFunction(function _onClick(__resumer) {
        var _ex;
        return $traceurRuntime.createGeneratorInstance(function($ctx) {
          while (true)
            switch ($ctx.state) {
              case 0:
                $ctx.pushTry(7, null);
                $ctx.state = 10;
                break;
              case 10:
                $ctx.state = 2;
                return app.onHistoryPop(_this, __resumer);
              case 2:
                $ctx.maybeThrow();
                $ctx.state = 4;
                break;
              case 4:
                if (_resumer)
                  _resumer();
                $ctx.state = 6;
                break;
              case 6:
                $ctx.popTry();
                $ctx.state = -2;
                break;
              case 7:
                $ctx.popTry();
                $ctx.maybeUncatchable();
                _ex = $ctx.storedException;
                $ctx.state = 13;
                break;
              case 13:
                if (_resumer)
                  _resumer(null, _ex);
                else
                  __resumer(null, _ex);
                $ctx.state = -2;
                break;
              default:
                return $ctx.end();
            }
        }, _onClick, this);
      }));
    };
    view.layout.header.headerRow.newMDMenu.show = function() {
      this.app.sendCommands([{
        obj: this.id,
        id: "show",
        cnt: {params: []}
      }], true);
    };
    view.layout.header.headerRow.newMDMenu.hide = function() {
      this.app.sendCommands([{
        obj: this.id,
        id: "hide",
        cnt: {params: []}
      }], true);
    };
    view.layout.header.headerRow.menuCat.show = function() {
      this.app.sendCommands([{
        obj: this.id,
        id: "show",
        cnt: {params: []}
      }], true);
    };
    view.layout.header.headerRow.menuCat.hide = function() {
      this.app.sendCommands([{
        obj: this.id,
        id: "hide",
        cnt: {params: []}
      }], true);
    };
    if (options) {
      this.opt = {};
      var optKeys = Object.keys(options);
      for (var i = 0; i < optKeys.length; i++) {
        var o = optKeys[i];
        if (o === "mode" || o === "modal" || o === "position" || o === "autoclose" || o === "timeout" || o === "ref")
          this.opt[o] = options[o];
      }
      if (options.owner)
        this.owner = options.owner;
    }
    if (viewDef !== false)
      this.applyDefaults(viewDef);
    if (viewDef !== false)
      this.onLoad(options);
  };
  App.ViewMain.prototype = new App.View();
  App.ViewMain.prototype.open = function(viewClass, options) {
    var view = this;
    var app = view.app;
    var v = new viewClass(app, undefined, options);
    var bb = -1;
    if (bb > -1) {
      view.layout.mainCnt.selectedPage = bb;
    } else {
      view.layout.mainCnt.appendChild(v);
      view.layout.mainCnt.selectedPage = view.layout.mainCnt.elements.length - 1;
      var page = (viewClass === App.Splash && options === undefined) ? "login" : "page";
      app.historyPush({page: page});
    }
    if (viewClass === App.ViewCatalogo) {
      this.showIcons(true);
    } else {
      this.showIcons(false);
    }
  };
  App.ViewMain.prototype.back = function() {
    var view = this;
    var app = view.app;
    if (view.layout.mainCnt.elements[view.layout.mainCnt.selectedPage].className != "Splash") {
      var nv = view.layout.mainCnt.elements.length - 1;
      if (nv < 0)
        return ;
      if (view.layout.mainCnt.selectedPage === nv)
        view.layout.mainCnt.selectedPage--;
      var v = view.layout.mainCnt.elements[nv];
      var vv = view.layout.mainCnt.elements[--nv];
      if (vv.onBack)
        vv.onBack();
      if (vv.className == "ViewCatalogo") {
        this.showIcons(true);
      } else {
        this.showIcons(false);
      }
      if (vv.className == "ViewCataloghi") {
        vv.refreshData();
      }
      setTimeout(function() {
        view.layout.mainCnt.removeChild(v);
        v.close();
      }, 500);
    }
  };
  App.ViewMain.prototype.showIcons = function(sino) {
    var view = this;
    var app = view.app;
    view.layout.header.headerRow.menuMore.visible = sino;
  };
  App.ViewMain.prototype.ricerca = function(stringa) {
    var view = this;
    var app = view.app;
    var nv = view.layout.mainCnt.elements.length - 2;
    var v = view.layout.mainCnt.elements[nv];
    if (v.elements[0].name === "layoutCat") {
      v.ricerca(stringa.toUpperCase());
    }
  };
  App.ViewMain.open = function(app, viewClass, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewMain', opt).open(viewClass, options);
  };
  App.ViewMain.back = function(app) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewMain', opt).back();
  };
  App.ViewMain.showIcons = function(app, sino) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewMain', opt).showIcons(sino);
  };
  App.ViewMain.ricerca = function(app, stringa) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewMain', opt).ricerca(stringa);
  };
  App.ViewMain.show = function(app, options) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewMain', opt).show(options);
  };
  App.ViewMain.close = function(app, info) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('ViewMain', opt).close(info);
  };
  if (module)
    module.exports = App.ViewMain;
  //# sourceURL=ViewMain.js

if (module)
  module.exports = App.ViewMain;