
 var App = App || {};
  if (module)
    App.Postgres = require("../postgres");
  App.sbDB = function(app) {
    if (module && !App.View)
      App = require("../requireAll");
    (App.Postgres || App.SQLite).call(this, app);
    this.schema = {
      "id": "v7CX8Hc+DTnbXSBjoAZv3Q==",
      "name": "sbDB",
      "type": "sbDB",
      "tables": [{
        "id": "vU1JoHwHKOkfjkhLWE8VSQ==",
        "name": "Settings",
        "fields": [{
          "id": "/R6kPo+rXfyKbzHvyVB7cg==",
          "name": "Codice",
          "datatype": "vc",
          "maxlen": 6
        }, {
          "id": "zPHWUxmnAZAPsn490mbCBw==",
          "name": "Username",
          "datatype": "vc"
        }, {
          "id": "ApeeSejw7AW/NKknpSo/Qg==",
          "name": "PasswordU",
          "datatype": "vc"
        }, {
          "id": "KDW6v3sTSHnY268B/UaQtA==",
          "name": "ShowInfo",
          "datatype": "i",
          "defval": "-1"
        }, {
          "id": "RRuiYSnHRm6bX/CgVGd25Q==",
          "name": "Autologin",
          "datatype": "i",
          "defval": "0"
        }]
      }, {
        "id": "pG+iEC/sQrOpHu8W9bgDZg==",
        "name": "Note",
        "fields": [{
          "id": "9iXYbXvH9oVFp+zxPGxCoA==",
          "name": "TIPO",
          "datatype": "i"
        }, {
          "id": "0flSCqntMA2lp3fNJqnC1g==",
          "name": "ANNO",
          "datatype": "i"
        }, {
          "id": "ksD/FdT0wUH9p/sMSVHxRw==",
          "name": "STAGIONE",
          "datatype": "vc",
          "maxlen": 2
        }, {
          "id": "AX2UZhl/4IstCHh2kIIL3g==",
          "name": "CATALOGO",
          "datatype": "vc",
          "maxlen": 2
        }, {
          "id": "aDFdLbWNTA2EmyOLfOmyXg==",
          "name": "CONT",
          "datatype": "i"
        }, {
          "id": "2/JXSfyDk1DD+1fl182Maw==",
          "name": "VAVE",
          "datatype": "vc",
          "maxlen": 4
        }, {
          "id": "gM/lI1X21xZS3kKk/2qkpg==",
          "name": "DATAINIZIO",
          "datatype": "dt"
        }, {
          "id": "qSsmL5y9gq0FLtQma6vU1g==",
          "name": "DATAFINE",
          "datatype": "dt"
        }, {
          "id": "z2sIG0Sh6eIdMo09RskDPw==",
          "name": "TITOLO",
          "datatype": "vc"
        }, {
          "id": "1xkEtfCeJOpsz0SlXL2i2w==",
          "name": "MESSAGGIO",
          "datatype": "vc"
        }, {
          "id": "9mJ/hAKsnukNdVe6xUOnGw==",
          "name": "REVISIONE",
          "datatype": "i"
        }, {
          "id": "y4+Y5nBCceJ2If5xSc9wrQ==",
          "name": "DELETED",
          "datatype": "b"
        }, {
          "id": "LEr/vbreLHuJtC0pPSo5IQ==",
          "name": "ID",
          "datatype": "i",
          "pk": true
        }]
      }, {
        "id": "ulKWT4dP81hyTU/AB6FqVA==",
        "name": "Pagine",
        "fields": [{
          "id": "LuvcQMBHqSjTgnbAbRHjAQ==",
          "name": "Anno",
          "datatype": "i",
          "pk": true
        }, {
          "id": "WgVzgrSNyZxB8kF4AM0QnQ==",
          "name": "Stagione",
          "datatype": "vc",
          "pk": true
        }, {
          "id": "UeXbRdmMk//F5mEWqVb+aQ==",
          "name": "NumeroCat",
          "datatype": "vc",
          "pk": true
        }, {
          "id": "fJT+PEGpUO/U3yfF1v2Yog==",
          "name": "Nome",
          "datatype": "vc",
          "pk": true
        }, {
          "id": "1t27iih6GvD0p1ZtZfgCwQ==",
          "name": "Progressivo",
          "datatype": "i",
          "pk": true
        }, {
          "id": "Bgv48YbbcwuWAPyfxKluqQ==",
          "name": "Tipo",
          "datatype": "i",
          "pk": true
        }, {
          "id": "yxm1Uo3j5TjKQycnn35pjA==",
          "name": "Pagina",
          "datatype": "i",
          "pk": true
        }, {
          "id": "nCilYVMPtSVcoKPMyR5pig==",
          "name": "Cont",
          "datatype": "i"
        }, {
          "id": "L7lPbbwYzcf73SgGT9oozA==",
          "name": "Vave",
          "datatype": "vc"
        }, {
          "id": "rwM/kuIRtx0vCN72xmWQzw==",
          "name": "PosX",
          "datatype": "d",
          "maxlen": 11,
          "scale": 3
        }, {
          "id": "t834Mm4tKtCShhH86/uSLg==",
          "name": "PosY",
          "datatype": "d",
          "maxlen": 11,
          "scale": 3
        }, {
          "id": "gUvkCMR/6lRkYv56f3OAZA==",
          "name": "Larghezza",
          "datatype": "d",
          "maxlen": 11,
          "scale": 3
        }, {
          "id": "8xjH5hcHr6/rdq+Wy4qHyQ==",
          "name": "Altezza",
          "datatype": "d",
          "maxlen": 11,
          "scale": 3
        }, {
          "id": "Z3fi0LjDy487mrGEA3GdkQ==",
          "name": "Profondita",
          "datatype": "i"
        }, {
          "id": "3Kz+i0BRM9krRW1s4UyXoA==",
          "name": "Revisione",
          "datatype": "i"
        }, {
          "id": "PX/NmkqIx6GJXhgYe7PSFg==",
          "name": "RevisioneFile",
          "datatype": "i"
        }, {
          "id": "qS7vxFgSHyDTsIB9TNHW9Q==",
          "name": "Ordine",
          "datatype": "i"
        }, {
          "id": "q+yj45BwqMPWb/8QGiz4FA==",
          "name": "Lookbook",
          "datatype": "i",
          "defval": "0",
          "pk": true
        }]
      }, {
        "id": "sWV9QbLtNFfHZ1zCHZeFww==",
        "name": "Cataloghi",
        "fields": [{
          "id": "n1z6UMgh5jWwHxsjp6Juhg==",
          "name": "Numero",
          "datatype": "vc",
          "pk": true
        }, {
          "id": "SBd6LmEQ6W1U5ef8Gel+8w==",
          "name": "Descrizione",
          "datatype": "vc"
        }, {
          "id": "iMis4OdYN75GaHEDRefjlA==",
          "name": "Marchio",
          "datatype": "vc"
        }, {
          "id": "xriLc0nuqeGUxGdMh/dXPA==",
          "name": "Revisione",
          "datatype": "i"
        }, {
          "id": "+huoAcAle63xG04tjas++w==",
          "name": "Stagione",
          "datatype": "vc"
        }, {
          "id": "fsvVSNVPRLmQkUFHgXHmlg==",
          "name": "Anno",
          "datatype": "i"
        }, {
          "id": "QVdC/vIYDF7jHBv3lid5qQ==",
          "name": "DataInizio",
          "datatype": "da"
        }, {
          "id": "iOedgWZDVsbaF5zg2B6YYQ==",
          "name": "DataFine",
          "datatype": "da"
        }, {
          "id": "G2MRa3FfwEMZPKVDTF0k1A==",
          "name": "Lookbook",
          "datatype": "i",
          "defval": "0",
          "pk": true
        }]
      }, {
        "id": "uYKJxOxnih3yOV6jSq+E7g==",
        "name": "Layout",
        "fields": [{
          "id": "eW93t5WsFoNnaO2JArTmNQ==",
          "name": "Tipo",
          "datatype": "i"
        }, {
          "id": "QHkFOWdMYucNG8tH1yPimg==",
          "name": "Html",
          "datatype": "vc",
          "maxlen": 1000,
          "notn": true
        }, {
          "id": "FMsg9ZBJKlMHL3x7x/MpDg==",
          "name": "Revisione",
          "datatype": "i"
        }]
      }]
    };
    this.dmCodesMap = {
      "Settings": {
        "_": "Settings",
        "Codice": "Codice",
        "Username": "Username",
        "PasswordU": "PasswordU",
        "ShowInfo": "ShowInfo",
        "Autologin": "Autologin"
      },
      "Note": {
        "_": "Note",
        "TIPO": "TIPO",
        "ANNO": "ANNO",
        "STAGIONE": "STAGIONE",
        "CATALOGO": "CATALOGO",
        "CONT": "CONT",
        "VAVE": "VAVE",
        "DATAINIZIO": "DATAINIZIO",
        "DATAFINE": "DATAFINE",
        "TITOLO": "TITOLO",
        "MESSAGGIO": "MESSAGGIO",
        "REVISIONE": "REVISIONE",
        "DELETED": "DELETED",
        "ID": "ID"
      },
      "Pagine": {
        "_": "Pagine",
        "Anno": "Anno",
        "Stagione": "Stagione",
        "NumeroCat": "NumeroCat",
        "Nome": "Nome",
        "Progressivo": "Progressivo",
        "Tipo": "Tipo",
        "Pagina": "Pagina",
        "Cont": "Cont",
        "Vave": "Vave",
        "PosX": "PosX",
        "PosY": "PosY",
        "Larghezza": "Larghezza",
        "Altezza": "Altezza",
        "Profondita": "Profondita",
        "Revisione": "Revisione",
        "RevisioneFile": "RevisioneFile",
        "Ordine": "Ordine",
        "Lookbook": "Lookbook"
      },
      "Cataloghi": {
        "_": "Cataloghi",
        "Numero": "Numero",
        "Descrizione": "Descrizione",
        "Marchio": "Marchio",
        "Revisione": "Revisione",
        "Stagione": "Stagione",
        "Anno": "Anno",
        "DataInizio": "DataInizio",
        "DataFine": "DataFine",
        "Lookbook": "Lookbook"
      },
      "Layout": {
        "_": "Layout",
        "Tipo": "Tipo",
        "Html": "Html",
        "Revisione": "Revisione"
      }
    };
    this.initDbConString(App.defaultConString, App.username);
  };
  App.sbDB.prototype = new (App.Postgres || App.SQLite)();
  App.sbDB.query = function(app, query, callback, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).query(query, callback, _resumer);
  };
  App.sbDB.execute = function(app, query, callback, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).execute(query, callback, _resumer);
  };
  App.sbDB.getLastInsertId = function(app) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).getLastInsertId();
  };
  App.sbDB.getLastRowsAffected = function(app) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).getLastRowsAffected();
  };
  App.sbDB.prepare = function(app, query) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).prepare(query);
  };
  App.sbDB.getDefaultInstance = function(app) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).getDefaultInstance();
  };
  App.sbDB.openConnection = function(app, callback, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).openConnection(callback, _resumer);
  };
  App.sbDB.closeConnection = function(app, callback, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).closeConnection(callback, _resumer);
  };
  App.sbDB.beginTransaction = function(app, callback, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).beginTransaction(callback, _resumer);
  };
  App.sbDB.commitTransaction = function(app, callback, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).commitTransaction(callback, _resumer);
  };
  App.sbDB.rollbackTransaction = function(app, callback, _resumer) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).rollbackTransaction(callback, _resumer);
  };
  App.sbDB.isInTransaction = function(app) {
    var opt = (typeof options === 'undefined' ? {} : options);
    return app.getDefaultInstance('sbDB', opt).isInTransaction();
  };
  if (module)
    module.exports = App.sbDB;
  //# sourceURL=sbDB.js

if (module)
  module.exports = App.sbDB;