/*
 * Instant Developer Next
 * Copyright Pro Gamma Spa 2000-2016
 * All rights reserved
 */

var App = App || {};

if (module)
  App.DataColumn = require("../datacolumn");


/**
 * @class A DocumentProperty Object
 * @param {Object} parent
 * @param {Object} defprop
 * */
App.DocumentProperty = function (parent, defprop)
{
  if (module && !App.View)
    App = require("../requireAll");
  //
  App.DataColumn.call(this, parent, defprop);
  //
  this.id = "";
  this.dmCode = "";
  this.objectType = "";
};

// Make App.DocumentProperty extend App.DataColumn
App.DocumentProperty.prototype = new App.DataColumn(true);


//export module for node
if (module)
  module.exports = App.DocumentProperty;
