/*
 * Instant Developer Next
 * Copyright Pro Gamma Spa 2000-2014
 * All rights reserved
 */

/* global Shell */

// WARNING: do not add a ";" at the end of the following object as the build server will throw exception!!!

Shell.config = {
  "launcherID": "3d445e19779b4e829bbff9308b11bcf5",
  "launcherUpdateURL": "http://www.initzero.it/app/stylebook.json",
  "developerMode": true,
  "UIWebView": false,
  "eacLogin": false,
  "eacSignup": false,
  "eacLogout": false,
  "primaryButton": "btn-connect",
  "appFilter": true,
  "loginAfterSignup": false,
  "logoutOffline": true,
  "eacSignupCmd": "",
  "eacLoginCmd": "",
  "eacRecoverCmd": "",
  "eacTermsCmd": "",
  "eacInstallCmd": "",
  "rootApp": {name: "stylebook", inplace: "ios", installed: true, root: true},
  "theme": {
    "HideKeyboardFormAccessoryBar": true,
    "StatusBarBackgroundColor": "#39403A",
    "accentColor": "#37B349",
    "activeColor": "#257831"
  },
  "plugins": {
    "Preferences": {},
    "BarcodeScanner": {},
    "SplashScreen": {},
    "Keyboard": {},
    "Device": {},
    "Accelerometer": {},
    "Compass": {},
    "Inappbrowser": {},
    "Geolocation": {},
    "Contacts": {},
    "Vibration": {},
    "StatusBar": {},
    "Camera": {},
    "Shelldriverhandler": {},
    "Nfc": {},
    "Notification": {},
    "Stripe": {},
    "Lscookies": {},
    "BackgroundLocation": {},
    "Facebook": {},
    "Beacon": {},
    "Sms": {},
    "Sqlite": {},
    "Haptic": {},
    "Media": {},
    "SocialSharing": {},
    "Calendar": {},
    "Touchid": {},
    "Speech": {},
    "Linkedin": {},
    "Ble": {}
  },
  "strings": {
    "title": "Instant Developer Application Container",
    "offline-bar": "You're currently offline",
    "btn_back": "back",
    "title1": "Instant Developer",
    "title2": "Launcher",
    "wait_msg": "Waiting for an app...",
    "connect_msg": "Connecting...",
    "start_msg": "Starting app...",
    "lbl_login_username": "Username",
    "lbl_login_password": "Password",
    "lbl_login_keep": "Keep me logged in",
    "lbl_signup_username": "Username",
    "lbl_signup_email": "Email",
    "lbl_signup_password": "Password",
    "lbl_signup_accept": "I agree to the ",
    "termsLink": "Terms and Conditions",
    "lbl_connect_server": "Server",
    "lbl_connect_username": "Username",
    "lbl_connect_devicename": "Device name",
    "btn_login": "login",
    "btn_signup": "sign up",
    "btn_connect": "connect",
    "btn_qrcode": "connect via QR code",
    "btn_connect_close": "close connection",
    "btn_recover_open": "Forgotten password?",
    "lbl_recover_user": "Username or Email",
    "btn-recover": "send me the password",
    "terms_title": "Terms and Conditions",
    "terms_text_HTML": "No terms to show. Please retry later.",
    "terms_close": "close",
    "recovery_close": "close",
    "logout_close": "cancel",
    "logout_confirm": "logout",
    "appslist_message": "No apps to test.",
    "err_empty_username": "Please insert an username",
    "err_empty_devicename": "Please insert a devicename",
    "err_empty_server": "Please insert a server url",
    "err_empty_email": "Please insert a valid email address",
    "err_empty_password": "Please insert a password",
    "err_not_accepted": "Please read and accept the terms and conditions",
    "err_empty_username_mail": "Insert your username or the mail address specified when signed up",
    "message_recovery_HTML": "Password sent to<br><b>your mailbox</b>",
    "status_install": "Installing...",
    "status_error": "Error: ",
    "status_offline": "Online only",
    "signup_confirmation_HTML": "You've successfully created a new account as <strong>@username</strong>!",
    "confirm-logout-HTML": "<strong>You're currently offline</strong><br/>If you log out now you won't<br/>be able to log back in!",
    "upgrading-app-HTML": "Optimizing experience<br>Just a moment please"
  }
}
